2007-05-23 13:36   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.ac: update soname/age for 0.6.15

2007-05-23 13:12   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* NEWS, configure.ac: libexif-0.6.15 release
	  (libexif-0_6_15-release)

2007-05-23 13:04   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* libexif/exif.h: update *.pc docs

2007-05-23 13:04   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* doc/Makefile.am: use BUILD_DOCS conditional

2007-05-23 13:03   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* NEWS: update NEWS

2007-05-23 13:03   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* m4m/gp-documentation.m4: --disable-docs, BUILD_DOCS conditional

2007-05-23 12:25   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* README: improve USAGE section

2007-05-22 22:53   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* po/: cs.po, de.po, es.po, fr.po, pl.po, ru.po, sk.po, vi.po:
	  update-po

2007-05-22 22:41   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.ac: fix --enable-internal-docs

2007-05-22 22:41   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* doc/Makefile.am: reorganize doxygen rules

2007-05-22 08:46   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* NEWS: NEWS: Note about cs, sk translations

2007-05-22 08:40   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* Makefile.am: ChangeLog.cvs generation uses UTC timestamps and
	  users.SF.net mail domain now

2007-05-21 23:27   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.ac: sort ALL_LINGUAS alphabetically

2007-05-21 23:27   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* doc/Makefile.am: add a few quotes to be on the safe side

2007-05-21 19:34   Jan Patera <patera@users.sourceforge.net>

	* ChangeLog, configure.ac: Added Czech & Slovak localizations

2007-05-21 19:28   Jan Patera <patera@users.sourceforge.net>

	* po/cs.po: First version of the Czech localization

2007-05-21 18:50   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* doc/Makefile.am: robuster doxygen targets

2007-05-21 18:39   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* auto-m4/.cvsignore: auto-m4 .cvsignore

2007-05-21 18:33   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* NEWS, configure.ac, doc/Doxyfile-internals.in, doc/Makefile.am:
	  0.6.14.cvs2. Call graphs for internal docs, only build them when
	  --enable-internal-docs

2007-05-21 16:15   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* test/nls/print-localedir.c: include proper i18n.h header

2007-05-21 16:12   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* NEWS: document documentation improvements

2007-05-21 16:12   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.ac: cosmetics

2007-05-21 15:44   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.ac, libexif-uninstalled.pc.in: fix inclusion of
	  libexif/_stdint.h

2007-05-21 15:43   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* doc/Doxyfile.in: Remove header inclusion graphs from API docs:
	  Which libexif header file includes which is internal, not part of
	  the API.

2007-05-21 14:24   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.ac, libexif-uninstalled.pc.in,
	  doc/Doxyfile-internals.in, doc/Doxyfile.in, libexif/exif.h: Ahem.
	  It IS #include <libexif/foo>, not <exif/foo>, after all. Revert
	  hacks and changes

2007-05-21 13:53   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* libexif/: exif-entry.h, exif-mem.h: document a few things for
	  doxygen

2007-05-21 13:53   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* libexif/exif.h: add main page for doxygen docs

2007-05-21 13:51   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* doc/: Doxyfile-internals.in, Doxyfile.in: have doxygen ignore
	  symlinks ('exif')

2007-05-21 13:50   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.ac: move exif symlink creation (for #include
	  <exif/exif-foo.h> on uninstalled source tree) to proper place

2007-05-21 13:48   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* libexif/exif-utils.c: add newline at EOF

2007-05-18 19:53   Jan Patera <patera@users.sourceforge.net>

	* libexif/exif-tag.c, po/de.po, po/es.po, po/fr.po, po/pl.po,
	  po/ru.po, po/sk.po, po/vi.po: Removed kinda nonsense references
	  to Exif Standard Appendices that made it into the code by
	  copy&pasting tag descriptions from the standard.

2007-05-17 14:57   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* .cvsignore, Makefile.am, configure.ac, libexif-uninstalled.pc.in,
	  libexif.pc.in, libexif/Makefile.am, libexif/libexif.pc.in: new
	  place for *.pc.in

2007-05-15 18:33   Jan Patera <patera@users.sourceforge.net>

	* ChangeLog, NEWS: Updated news: * Added support of 2 new types of
	  Pentax makernotes & Casio type2 makernote * Added support of Win
	  XP metadata (Author, Comment, KeyWords, Title,   Subject) tags

2007-05-15 18:31   Jan Patera <patera@users.sourceforge.net>

	* ChangeLog: Windows XP Explorer writes Title, Comment, Author,
	  Metadata, Keywords, and Subject metadata into proprietary
	  UTF16-encoded tags 0x9c9b-0x9c9f in IFD0. We now recognize them,
	  exif_entry_get_value returns their value converted to UTF8. BTW,
	  Explorer corrupts makernotes using offsets relative to IFD0...

2007-05-15 18:23   Jan Patera <patera@users.sourceforge.net>

	* libexif/: exif-entry.c, exif-tag.c, exif-tag.h, exif-utils.c,
	  exif-utils.h: Windows XP Explorer writes Title, Comment, Author,
	  Metadata, Keywords, and Subject metadata into proprietary
	  UTF16-encoded tags 0x9c9b-0x9c9f in IFD0. We now recognize them,
	  exif_entry_get_value returns their value converted to UTF8. BTW,
	  Explorer corrupts makernote using offsets relative to IFD0...

2007-05-14 05:43   Jan Patera <patera@users.sourceforge.net>

	* libexif/exif-data.c: Makernote is parsed even when there is not
	  enough data for (makernote-irelevant) IFD1

2007-05-13 19:29   Jan Patera <patera@users.sourceforge.net>

	* ChangeLog: Changes of last 3 days: * Added support of a new
	  Pentax makernote type, plus another makernote   type shared by
	  Pentax & Casio * Updated several tags * Fixed some "security"
	  sanity checks for broken entries

2007-05-13 19:24   Jan Patera <patera@users.sourceforge.net>

	* libexif/: exif-data.c, exif-entry.c: 1) Added support of a new
	  Pentax makernote type, plus another makernote    type shared by
	  Pentax & Casio 2) exif_entry_get_value now returns value of
	  EXIF_TAG_SCENE_TYPE

2007-05-13 19:21   Jan Patera <patera@users.sourceforge.net>

	* libexif/pentax/: exif-mnote-data-pentax.c,
	  exif-mnote-data-pentax.h, mnote-pentax-entry.c,
	  mnote-pentax-tag.c, mnote-pentax-tag.h: Added support of a new
	  Pentax makernote type, plus another makernote type shared by
	  Pentax & Casio

2007-05-11 06:26   Jan Patera <patera@users.sourceforge.net>

	* libexif/pentax/: mnote-pentax-entry.c, mnote-pentax-tag.c: 1)
	  correct checks of size of entry's data: entry->size contains real
	  size	 of entry->data, e.g. 0 if entry->data is NULL 2) return
	  empty string instead of NULL when asked for description

2007-05-11 06:22   Jan Patera <patera@users.sourceforge.net>

	* libexif/olympus/: exif-mnote-data-olympus.c,
	  mnote-olympus-entry.c, mnote-olympus-tag.c: 1) correct checks of
	  size of entry's data: entry->size contains real size of
	  entry->data,	 e.g. 0 if entry->data is NULL 2) don't return
	  title when asked for description 3) return empty string instead
	  of NULL when asked for description

2007-05-11 06:20   Jan Patera <patera@users.sourceforge.net>

	* libexif/: exif-data.c, exif-entry.c: 1) exif-entry.c: resolved
	  clash of EXIF_TAG_GPS_LATITUDE & EXIF_TAG_INTEROPERABILITY_VERSIO
	  2) exif-data.c: fixed previous change of H. Figuiere

2007-05-11 02:59   Hubert Figuiere <hub@figuiere.net>

	* libexif/exif-data.c: don't dereference NULL (CID 4)

2007-05-11 02:54   Hubert Figuiere <hub@figuiere.net>

	* libexif/olympus/mnote-olympus-entry.c: dont derefernce NULL (CID
	  3)

2007-05-11 02:45   Hubert Figuiere <hub@figuiere.net>

	* libexif/canon/mnote-canon-entry.c: check NULL before
	  dereferencing. (CID 5)

2007-05-11 02:37   Hubert Figuiere <hub@figuiere.net>

	* libexif/exif-mem.c: fix condition leading to dead code (CID 1)

2007-05-10 19:49   Jan Patera <patera@users.sourceforge.net>

	* po/sk.po: Slovak translation, submitted by Ivan Masar

2007-05-10 17:22   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* po/cs.po: add Czech translation (cs)

2007-05-10 17:03   Jan Patera <patera@users.sourceforge.net>

	* ChangeLog, NEWS: Changes of the last week: * Added support for
	  Olympus S760 & S770 makernote (bug #1703284) * Fixed crashes when
	  looking up invalid values (bug #1457501) * Added heuristics (bug
	  #1525770): mismatching Olympus makernote   in big endian when the
	  rest is in little endian is detected	 to prevent crashes * Added
	  option EXIF_DATA_OPTION_DONT_CHANGE_MAKER_NOTE to prevent
	  modification of maker notes *
	  EXIF_DATA_OPTION_IGNORE_UNKNOWN_TAGS propagated to Canon
	  makernote   (Bug #1617991) * Updated several tags * Updated
	  translations

2007-05-10 16:50   Jan Patera <patera@users.sourceforge.net>

	* libexif/canon/mnote-canon-entry.c: Zero value for Self-Timer is
	  not invalid, it means "Off"

2007-05-10 15:46   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* doc/Makefile.am, NEWS: fix #1443183: install error when doxygen
	  is not present

2007-05-10 15:44   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.ac, NEWS: new release number after 0.6.14 is out,
	  working towards 0.6.15

2007-05-10 15:17   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.ac: properly update so name for API/ABI addition

2007-05-10 15:13   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* NEWS: mention API/ABI additions

2007-05-10 15:12   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* Makefile.am: help release manager not forget how to upload

2007-05-10 14:38   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* po/: de.po, es.po, fr.po, pl.po, ru.po, vi.po: update-po

2007-05-10 14:32   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* libexif/exif-data.c: Fixes: #1716196

2007-05-10 14:30   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* Makefile.am: also include auto-m4 dir

2007-05-10 14:27   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* NEWS: update NEWS

2007-05-10 14:26   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* test/nls/Makefile.am: use non-GNU make rules

2007-05-10 14:25   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.ac: require automake >= 1.9, check NEWS, update NEWS,
	  update so revision, add pedantic C checks for gcc

2007-05-09 06:15   Jan Patera <patera@users.sourceforge.net>

	* libexif/canon/: exif-mnote-data-canon.c, exif-mnote-data-canon.h,
	  mnote-canon-tag.c, mnote-canon-tag.h: Fix of Bug #1617991:
	  EXIF_DATA_OPTION_IGNORE_UNKNOWN_TAGS is now propagated to Canon
	  makernote and used to ignore unknown subtags of Settings1,
	  Settings2, FocalLength & Panorama makernote tags.

2007-05-09 06:09   Jan Patera <patera@users.sourceforge.net>

	* libexif/: exif-data.c, exif-data.h: Saving unmodified makernote
	  no longer controlled at compile time by #ifdef
	  EXIF_DONT_CHANGE_MAKER_NOTE, but at run-time by newly introduced
	  option EXIF_DATA_OPTION_DONT_CHANGE_MAKER_NOTE

2007-05-08 16:45   Jan Patera <patera@users.sourceforge.net>

	* libexif/exif-entry.c, po/de.po, po/es.po, po/fr.po, po/pl.po,
	  po/ru.po, po/vi.po: Unified values of EXIF_TAG_FLASH

2007-05-08 09:48   Jan Patera <patera@users.sourceforge.net>

	* libexif/olympus/exif-mnote-data-olympus.c: Added heuristics for
	  partial fix of #1525770: Microsoft Windows Photo Gallery
	  6.0.6000.16386 apparently converts main Exif IFD from Intel to
	  Motorola order, but copies Olympus makernote in Intel order
	  as-is. We now detect this order-mismatch, plus we now write back
	  some unknown short in the makernote that seems to be version
	  number.

2007-05-08 09:18   Jan Patera <patera@users.sourceforge.net>

	* libexif/olympus/: exif-mnote-data-olympus.c,
	  exif-mnote-data-olympus.h, mnote-olympus-entry.c: Added support
	  for Olympus S760 & S770 makernote (bug #1703284)

2007-05-08 09:09   Jan Patera <patera@users.sourceforge.net>

	* libexif/: exif-data.c, exif-entry.c: 1) Added support for Olympus
	  S760 & S770 makernote (bug #1703284) 2) Interoperability Version
	  value is now obtained 3) Fixed crashes when looking up invalid
	  values (bug #1457501)

2007-05-06 17:51   Jan Patera <patera@users.sourceforge.net>

	* ChangeLog: libexif/olympus/exif-mnote-data-olympus.c: Nikon v1
	  makernotes were saved with wrong offsets, Nikon v1 & v2 maker
	  notes were saved with wrong offset to 2nd IFD (Reported by Joakim
	  Larsson as patch #1664543)

2007-05-06 17:41   Jan Patera <patera@users.sourceforge.net>

	* libexif/olympus/exif-mnote-data-olympus.c: Nikon v1 makernotes
	  were saved with wrong offsets, Nikon v1 & v2 maker notes were
	  saved with wrong offset to 2nd IFD (Spotted by Joakim Larsson as
	  patch #1664543)

2007-05-05 09:25   Jan Patera <patera@users.sourceforge.net>

	* po/: de.po, es.po, fr.po, pl.po, ru.po, vi.po: Cleanup of some
	  fuzzy translations

2007-05-04 06:08   Jan Patera <patera@users.sourceforge.net>

	* po/: de.po, es.po, fr.po, pl.po, ru.po, vi.po: Corrected evident
	  errors (introduced by the automated localization tools???)

2007-05-03 13:47   Marcus Meissner <marcus@jet.franken.de>

	* po/: de.po, es.po, fr.po, pl.po, ru.po, vi.po: make update-po

2007-04-26 17:01   Jan Patera <patera@users.sourceforge.net>

	* libexif/olympus/mnote-olympus-entry.c: Added value 4 (RAW) of
	  MNOTE_OLYMPUS_TAG_QUALITY

2007-04-26 17:00   Jan Patera <patera@users.sourceforge.net>

	* libexif/exif-entry.c: Added value 8 of EXIF_TAG_FLASH: seen from
	  Olympus E-330

2007-04-24 04:48   Jan Patera <patera@users.sourceforge.net>

	* libexif/canon/mnote-canon-entry.c, ChangeLog: Added hook for ISO
	  settings of Canon PowerShot S3 IS - unlike other Canons, it
	  doesn't use index into LUT, but direct ISO value ored w/ 0x4000

2007-03-17 11:41   Jan Patera <patera@users.sourceforge.net>

	* libexif/exif-entry.c: ibexif/exif-entry.c: Fixed values of
	  EXIF_TAG_PHOTOMETRIC_INTERPRETATION, updated values of
	  EXIF_TAG_COMPRESSION

2007-02-25 16:12   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-entry.c: 2007-02-25  Lutz Mueller
	  <lutz@users.sourceforge.net>

	    Suggestions by Jef Driesen <jefdriesen@hotmail.com>:

	    * libexif/exif-entry.c: Correct formulas regarding to APEX
	  values.

2007-02-14 07:11   Jan Patera <patera@users.sourceforge.net>

	* libexif/olympus/mnote-olympus-entry.c: Updated
	  MNOTE_OLYMPUS_TAG_QUALITY & MNOTE_OLYMPUS_TAG_VERSION

2006-10-17 15:04   Marcus Meissner <marcus@jet.franken.de>

	* po/de.po: udpated german translation

2006-10-17 08:09   Marcus Meissner <marcus@jet.franken.de>

	* po/: de.po, es.po, fr.po, pl.po, ru.po, vi.po: make update-po ...
	  massive changes

2006-10-16 09:56   Marcus Meissner <marcus@jet.franken.de>

	* libexif/canon/mnote-canon-tag.c: also do not translate name in
	  sub entries.

2006-10-16 09:43   Marcus Meissner <marcus@jet.franken.de>

	* libexif/canon/mnote-canon-tag.c: do not translate the "name"
	  entry, its meant to be always the same.

2006-10-03 19:42   Jan Patera <patera@users.sourceforge.net>

	* libexif/olympus/mnote-olympus-entry.c: Added some AF Position
	  values

2006-10-03 19:41   Jan Patera <patera@users.sourceforge.net>

	* libexif/: exif-data.c, exif-loader.c, exif-utils.h: #definition
	  of MAX moved to exif-utils.h where we already have MIN

2006-10-03 14:44   Marcus Meissner <marcus@jet.franken.de>

	* libexif/olympus/: mnote-olympus-entry.c, mnote-olympus-tag.c,
	  mnote-olympus-tag.h: added some more nikon tags.

2006-10-03 14:22   Marcus Meissner <marcus@jet.franken.de>

	* libexif/olympus/mnote-olympus-entry.c: merge lens fstops and
	  exposure diff cases

2006-10-03 13:50   Marcus Meissner <marcus@jet.franken.de>

	* ChangeLog: changes

2006-10-03 13:49   Marcus Meissner <marcus@jet.franken.de>

	* libexif/olympus/: mnote-olympus-entry.c, mnote-olympus-tag.c,
	  mnote-olympus-tag.h: interpret some more Nikon MakerNote tags.

2006-09-27 09:33   Marcus Meissner <marcus@jet.franken.de>

	* libexif/exif-loader.c: min -> MAX, max -> MAX

2006-09-21 05:45   Jan Patera <patera@users.sourceforge.net>

	* libexif/canon/mnote-canon-entry.c: Cleanup of long existing mess:
	  1) snprintf(buf, sizeof(buf), xx); strncpy(val, buf,
	  maxlen-strlen(val)) -> snprintf(val, maxlen, xx) 2) strncpy(val,
	  xx, maxlen - strlen(val)) -> strncpy(val, xx, maxlen)

2006-09-19 05:39   Jan Patera <patera@users.sourceforge.net>

	* libexif/exif-loader.c: libexif/exif_loader.c: exif_loader_write()
	  skips non-EXIF APP1 markers.	Adobe Photoshop & Elements tend to
	  create JPEG's with sequence of APP1 JFIF, APP13, and APP1 EXIF

2006-09-17 10:18   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/canon/mnote-canon-entry.c,
	  libexif/canon/mnote-canon-tag.c, libexif/canon/mnote-canon-tag.h:
	  2006-09-17  Lutz Mueller <lutz@users.sourceforge.net>

	    Patch by Jef Driesen <jefdriesen@hotmail.com>:

	    * libexif/canon/*: Improve support for canon maker notes.

2006-09-16 23:26   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* libexif/exif-loader.h: nicer comments and parameter names

2006-09-16 23:25   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* libexif/Makefile.am: build libmnote-foo before libexif

2006-05-05 05:25   Jan Patera <patera@users.sourceforge.net>

	* ChangeLog: 2006-05-05  Jan Patera <patera@users.sourceforge.net>
	  * libexif/exif-content.c: fixed bug #1471060: wasted space in
	  exif_content_add_entry() & exif_content_remove_entry(); also
	  safe	     handling of failed realloc in exif_content_add_entry()

2006-05-05 05:25   Jan Patera <patera@users.sourceforge.net>

	* libexif/exif-content.c: fixed bug #1471060: wasted space in
	  exif_content_add_entry() & exif_content_remove_entry(); also safe
	  handling of failed realloc in exif_content_add_entry()

2006-04-15 19:15   Jan Patera <patera@users.sourceforge.net>

	* ChangeLog, libexif/exif-loader.c: exif_loader_write() correctly
	  skips APP2 marker with ICC profile because ImageMagick flips
	  order of APP1 EXIF and APP2 ICC markers.

2006-03-19 22:04   Joerg Hoh <hohjg@users.sourceforge.net>

	* libexif/exif.c: More work with splint - added NULL fields to fill
	  up a static structure - a lot of explicit casts

2006-03-19 17:23   Joerg Hoh <hohjg@users.sourceforge.net>

	* libexif/: exif-content.c, exif.c: Used splint:  - replaced some
	  sprintf-calls with snprintf (and appropriate size value)  -
	  eliminated some unused variables

	  splint still complains about a lot of signedness errors
	  (comparisons and assignments), will do more checks soon

2006-03-02 20:29   Jan Patera <patera@users.sourceforge.net>

	* libexif/exif-entry.c: Added "Deflate/ZIP compression" to list2
	  (used e.g. by Adobe Photoshop)

2006-02-19 11:09   Jan Patera <patera@users.sourceforge.net>

	* ChangeLog:	* libexif/exif-utils.h: ExifByte is now explicitly
	  unsigned char,
		    added ExifSByte as signed char.

2006-02-19 11:08   Jan Patera <patera@users.sourceforge.net>

	* libexif/exif-utils.h: 1) ExifByte is now explicitly unsigned
	  char: needed when dumping   unknown entries of the
	  EXIF_FORMAT_BYTE type, such as XML Packet,   in
	  exif_entry_get_value 2) Added ExifSByte as signed char.

2006-02-18 21:07   Marcus Meissner <marcus@jet.franken.de>

	* configure.ac: added vietnamese

2006-02-18 20:39   Marcus Meissner <marcus@jet.franken.de>

	* po/vi.po: added vietnamese from Clytie Siddall.

2006-02-13 07:31   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/canon/mnote-canon-entry.c,
	  libexif/exif-entry.c, libexif/exif-tag.c,
	  libexif/olympus/mnote-olympus-entry.c, test/nls/test-nls.c:
	  2006-02-13  Lutz Mueller <lutz@topfrose.de>

		  * libexif/canon/mnote-canon-entry.c: Fix typo.
		  * libexif/exif-entry.c: s/compulsatory/compulsory
		  * libexif/exif-tag.c: Fix typo.
		  * libexif/olympus/mnote-olympus-entry.c: Fix typo.
		  * test/nls/test-nls.c: Add translators' comment.

2006-01-19 07:40   Marcus Meissner <marcus@jet.franken.de>

	* ChangeLog, libexif/exif-data.c: When loading an entry fails, do
	  not add it to the IFD.

2006-01-17 03:32   Hubert Figuiere <hub@figuiere.net>

	* libexif/exif-loader.h, libexif/exif-mem.h, ChangeLog: Some
	  Doxygen documentation

2006-01-16 18:43   Hubert Figuiere <hub@figuiere.net>

	* ChangeLog: changelog forgot to be updated

2006-01-14 15:04   Marcus Meissner <marcus@jet.franken.de>

	* po/pl.po: updated polish.

2006-01-13 07:55   Marcus Meissner <marcus@jet.franken.de>

	* po/de.po: translated the one plural form now added. added plural
	  header.

2006-01-13 07:43   Marcus Meissner <marcus@jet.franken.de>

	* libexif/canon/mnote-canon-entry.c: use ngettext() for plural form

2006-01-13 07:42   Marcus Meissner <marcus@jet.franken.de>

	* libexif/i18n.h: added ngettext() empty wrapper.

2006-01-13 07:36   Marcus Meissner <marcus@jet.franken.de>

	* configure.ac: added russian.

2006-01-13 07:34   Marcus Meissner <marcus@jet.franken.de>

	* po/ru.po: added russian from Alexandre Prokoudine.

2006-01-05 18:58   Marcus Meissner <marcus@jet.franken.de>

	* libexif/canon/mnote-canon-entry.c: "red yes" -> "red eyes"

2006-01-05 18:57   Marcus Meissner <marcus@jet.franken.de>

	* po/pl.po: updated polish.

2006-01-04 20:57   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.ac: after having switched to libtool CURRENT and AGE
	  calculation base, fix the gettext textdomain accordingly to
	  contain the lowest CURRENT supported by this version

2006-01-04 01:41   Hubert Figuiere <hub@figuiere.net>

	* configure.ac: fix a mistake in the interpretation of
	  CURRENT:AGE:REVISION meaning that could lead to mis-versioning of
	  the libraries.

2006-01-03 04:22   Hubert Figuiere <hub@figuiere.net>

	* ChangeLog, libexif/Makefile.am:	* libexif/Makefile.am
	  (libexif_la_DEPENDENCIES): depends
		  on the .sym file. Need to relink if modified.

2006-01-03 04:01   Hubert Figuiere <hub@figuiere.net>

	* binary/.cvsignore: added cvsignore

2005-12-27 21:30   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, NEWS, configure.ac: 2005-12-27  Lutz Mueller
	  <lutz@topfrose.de>

		  * NEWS
		  * configure.ac: We're now working on version 0.6.14.

2005-12-27 21:23   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, test/Makefile.am: 2005-12-27  Lutz Mueller
	  <lutz@topfrose.de>

		  * test/Makefile.am: Remove the SOURCES variables - they
	  are not necessary.

2005-12-26 01:09   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* README-Win32.txt: add README-Win32.txt

2005-12-26 00:40   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* test/Makefile.am: ship test programs in source tarball

2005-12-26 00:39   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* Makefile.am, configure.ac, binary/Makefile.am: help support
	  tarball/zip distributions with binaries

2005-10-24 15:25   Jan Patera <patera@users.sourceforge.net>

	* ChangeLog, libexif/canon/mnote-canon-entry.c:
	  libexif/Canon/mnote-canon-entry.c: Don't check size of
	  MNOTE_CANON_TAG_OWNER and MNOTE_CANON_TAG_FIRMWARE - I have seen
	  many different values (14, 22, 24, 32...)

2005-10-01 16:32   Marcus Meissner <marcus@jet.franken.de>

	* libexif/exif-entry.c: Fixed crash with NULL Copyright entry. (Bug
	  #1306193)

2005-09-28 06:48   Marcus Meissner <marcus@jet.franken.de>

	* configure.ac: save CFLAGS to save_CFLAGS, no CPPFLAGS.

2005-09-28 06:25   Marcus Meissner <marcus@jet.franken.de>

	* po/de.po: Nearly complete de.po translation update.

2005-09-28 06:21   Marcus Meissner <marcus@jet.franken.de>

	* po/POTFILES.in: sorted, added
	  libexif/exif-data.c,libexif/exif-loader.c,libexif/exif-log.c

2005-08-27 10:30   Jan Patera <patera@users.sourceforge.net>

	* ChangeLog, libexif/canon/mnote-canon-entry.c,
	  libexif/canon/mnote-canon-tag.c: Fix of changes from beginning of
	  this week: * Canon mnote: Both parts of Settings had indices
	  shifted by 1. 		entries[] must have secondary
	  sorting by value which is unsigned.		      Wrong # of
	  items in Settings: reading beyond allocated memory, crashes.

2005-08-24 18:15   Lutz Mueller <lutz@users.sourceforge.net>

	* libexif/canon/: mnote-canon-entry.c, mnote-canon-tag.c: [no log
	  message]

2005-08-24 17:54   Lutz Mueller <lutz@users.sourceforge.net>

	* libexif/canon/mnote-canon-entry.c: [no log message]

2005-08-22 22:59   Lutz Mueller <lutz@users.sourceforge.net>

	* libexif/canon/: exif-mnote-data-canon.c, mnote-canon-entry.c,
	  mnote-canon-tag.c: 2005-08-23  Lutz Mueller
	  <lutz@users.sourceforge.net>

		  Some work on canon maker notes. Entries that contain
	  several different
		  values now expand to different entries.

2005-08-22 22:17   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, configure.ac, libexif/canon/exif-mnote-data-canon.c,
	  libexif/canon/mnote-canon-entry.c,
	  libexif/canon/mnote-canon-entry.h,
	  libexif/canon/mnote-canon-tag.c, libexif/canon/mnote-canon-tag.h:
	  2005-08-23  Lutz Mueller <lutz@users.sourceforge.net>

		  Some work on canon maker notes. Entries that contain
	  several different
		  values now expand to different entries.

2005-08-15 20:48   Lutz Mueller <lutz@users.sourceforge.net>

	* po/pl.po: 2005-08-15	Lutz Mueller <lutz@users.sourceforge.net>

		  Patch by Jakub Bogusz <qboosh@pld-linux.org>, related to
	  translation.

2005-08-15 20:29   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-entry.c, libexif/exif-tag.c,
	  libexif/olympus/mnote-olympus-entry.c: 2005-08-15  Lutz Mueller
	  <lutz@users.sourceforge.net>

		  Patch by Jakub Bogusz <qboosh@pld-linux.org>, related to
	  translation.

2005-08-14 19:41   Jan Patera <patera@users.sourceforge.net>

	* ChangeLog, libexif/exif-entry.c: Added value 2 of
	  EXIF_TAG_COLOR_SPACE: patch #1253625 by Ross Burton - burtonini

2005-07-24 23:34   Hubert Figuiere <hub@figuiere.net>

	* libexif/: exif-data.c, exif-loader.c: EOL mandatory after a if()

2005-07-18 20:36   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, doc/Makefile.am: 2005-07-18  Lutz Mueller
	  <lutz@users.sourceforge.net>

		  * doc/Makefile.am: Make distcheck work again.

2005-07-14 22:13   Lutz Mueller <lutz@users.sourceforge.net>

	* po/de.po, po/es.po, po/fr.po, test/test-mnote.c,
	  test/test-value.c: 2005-07-11  Lutz Mueller
	  <lutz@users.sourceforge.net>

		  * libexif/exif-loader.c:
		  * po/de.po:
		  * po/fr.po:
		  * po/es.po: Added license.

2005-07-11 20:31   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, po/de.po, po/es.po, po/fr.po, libexif/exif-loader.c:
	  2005-07-11  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-loader.c:
		  * po/de.po:
		  * po/fr.po:
		  * po/es.po: Added license.

2005-07-05 08:29   Joerg Hoh <hohjg@users.sourceforge.net>

	* libexif/olympus/: exif-mnote-data-olympus.c,
	  exif-mnote-data-olympus.h: - fixed typo, which made the whole
	  thing uncompileable ...  - replaced constant numbers in code with
	  their already defined names - tried to simplify code

2005-07-04 10:05   Joerg Hoh <hohjg@users.sourceforge.net>

	* libexif/olympus/: exif-mnote-data-olympus.c,
	  exif-mnote-data-olympus.h: - extracted constant numbers and gave
	  them names - comment

2005-07-02 06:32   Joerg Hoh <hohjg@users.sourceforge.net>

	* libexif/exif-data.c: - cleaned indentation - renamed l to
	  recursion_depth

2005-07-01 23:28   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, NEWS, libexif/exif-data.c: 2005-07-02  Lutz Mueller
	  <lutz@users.sourceforge.net>

		  * libexif/exif-data.c: Prevent infinite recursions
	  (#1196787).

2005-07-01 10:14   Joerg Hoh <hohjg@users.sourceforge.net>

	* libexif/canon/mnote-canon-entry.c: code cleanup: - reduced the
	  big switch statement and moved the relevant data   into a static
	  structure - consistent variable checking - probably some subtile
	  changes in the error handling

2005-06-28 05:58   Lutz Mueller <lutz@users.sourceforge.net>

	* README: New link.

2005-06-21 00:05   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* doc/Doxyfile.in: no recursion into details for API docs

2005-06-21 00:03   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* doc/: Doxyfile-internals.in, Doxyfile.in: mark difference between
	  API and internals docs in document title

2005-06-20 23:59   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.ac, doc/Doxyfile-internals.in, doc/Doxyfile.in,
	  doc/Makefile.am, m4m/gp-documentation.m4: build both API and code
	  internals docs with doxygen

2005-06-20 08:38   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* test/Makefile.am: notes about libexif tests

2005-06-20 03:40   Hubert Figuiere <hub@figuiere.net>

	* ChangeLog, test/Makefile.am:	* test/Makefile.am
	  (check_PROGRAMS): added check for make check

2005-06-20 03:38   Hubert Figuiere <hub@figuiere.net>

	* doc/: .cvsignore, Doxyfile.in: cvsignore

2005-06-19 22:06   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* doc/Doxyfile.in: make doxygen recurse dirs

2005-06-19 21:48   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* doc/Makefile.am: fix typo, add file types to uploaded docs

2005-06-19 21:46   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* doc/Doxyfile.in: updated doxygen settings from hub

2005-06-19 21:45   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* doc/README.apidocs: update README.apidocs

2005-06-19 21:43   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* doc/Makefile.am: upload API docs to libexif website

2005-06-16 17:57   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* po/: de.po, es.po, fr.po: update *.po

2005-06-13 21:07   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* libexif/: Makefile.am, libexif.sym: explicitly define lift of
	  symbols libexif exports

2005-05-12 13:11   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* autogen.sh: autogen 0.4.5 - autodetect automake, autoconf
	  versions

2005-05-09 12:10   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* autogen.sh: use GP_AUTOGEN_SUBDIR, 0.4.4 autogen.sh

2005-05-07 19:12   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* autogen.sh: autogen.sh update (0.4.3)

2005-05-05 16:57   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* libexif/exif-entry.c, libexif/canon/mnote-canon-entry.c,
	  libexif/olympus/exif-mnote-data-olympus.c,
	  libexif/olympus/mnote-olympus-entry.c,
	  libexif/pentax/mnote-pentax-entry.c, test/test-mem.c: make
	  libexif 'gcc-4.0 -Wall -Werror' clean

2005-05-02 19:28   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* libexif/: exif-entry.c, exif-format.c, exif-tag.c: portability:
	  replace problematic ?: syntax and (temporarily) deactivate
	  bind_textdomain_codeset

2005-05-02 19:27   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* m4m/gp-gettext-hack.m4: cosmetix

2005-05-02 19:25   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* m4m/gp-documentation.m4: fix typos in doxygen detection

2005-05-01 17:39   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c: 2005-05-01  Lutz Mueller
	  <lutz@users.sourceforge.net>

		  * libexif/exif-data.c (exif_data_fix): Don't create
	  EXIF_IFD_1 if no
		  thumbnail data is available.

2005-04-30 01:17   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, README, test/test-mem.c: 2005-04-30  Lutz Mueller
	  <lutz@users.sourceforge.net>

		  * test/test-mem.c: Show how to create EXIF data.
		  * README: New section USAGE.

2005-04-30 00:55   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/Makefile.am, libexif/exif-content.c,
	  libexif/exif-content.h, libexif/exif-data-type.h,
	  libexif/exif-data.c, libexif/exif-data.h, libexif/exif-tag.c,
	  libexif/exif-tag.h: 2005-04-30  Lutz Mueller
	  <lutz@users.sourceforge.net>

		  * libexif/exif-data-type.h: New
		  * libexif/*: Lots of changes to make it possible to
	  validate data against
		  the specification.

2005-04-29 18:03   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* m4m/gp-gettext-hack.m4: get rid of redundant linefeed in
	  configure output

2005-04-29 12:38   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* m4m/gp-check-library.m4: only compile without libusb if
	  explicitly requested

2005-04-28 22:12   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* libexif/exif-tag.c: 4 intentionally left out from sequence
	  because we felt like it

2005-04-27 21:11   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c: 2005-04-27  Lutz Mueller
	  <lutz@users.sourceforge.net>

		  * libexif/exif-data.c (exif_data_load_data_content): Add
	  a special case.

2005-04-27 20:53   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c:
	  2005-04-27  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-data.c (exif_data_load_data_content):
	  Better check for
		  validity of tags.

2005-04-27 20:40   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-entry.c:
	  2005-04-27  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-entry.c (exif_entry_fix): Some day, we'll
	  get this right.

2005-04-27 14:37   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* m4m/gp-check-library.m4: better docs for GP_CHECK_LIBRARY

2005-04-27 06:45   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-content.c, libexif/exif-content.h,
	  libexif/exif-entry.h: 2005-04-27  Lutz Mueller
	  <lutz@users.sourceforge.net>

		  * libexif/exif-entry.h
		  * libexif/exif-content.h: New convenience
	  functions/macros.

2005-04-27 05:47   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, configure.ac, libexif/exif-entry.c:
	  2005-04-27  Lutz Mueller <lutz@users.sourceforge.net>

		  * configure.ac: AGE = 1
		  * libexif/exif-entry.c (exif_entry_fix): Add a break to
	  avoid unnecessary
		  checks.

2005-04-26 20:37   Lutz Mueller <lutz@users.sourceforge.net>

	* libexif/exif-entry.c: 2005-04-26  Lutz Mueller
	  <lutz@users.sourceforge.net>

		  * libexif/exif-entry.c (exif_entry_fix): Leave ' '
	  untouched, too.

2005-04-26 20:37   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog:
	  2005-04-26  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-entry.c (exif_entry_fix): Leave ' '
	  untouched, too.

2005-04-26 20:17   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c, libexif/exif-tag.c,
	  libexif/exif-tag.h: 2005-04-26  Lutz Mueller
	  <lutz@users.sourceforge.net>

		  * libexif/exif-tag.[c,h]
	  (exif_tag_[name,title,description]_in_ifd): New.

2005-04-25 21:06   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-entry.c: 2005-04-25  Lutz Mueller
	  <lutz@users.sourceforge.net>

		  * libexif/exif-data.c (exif_entry_fix): '\0...' as
	  USER_COMMENT is ok, too.

2005-04-25 20:50   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c:
	  2005-04-25  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-data.c: Make it compile again.

2005-04-25 18:06   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.ac: add hint about how to get a missing m4m/ directory

2005-04-24 19:01   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c, libexif/exif-data.h,
	  libexif/exif-entry.c, libexif/exif-tag.c, libexif/exif-tag.h:
	  2005-04-24  Lutz Mueller <lutz@users.sourceforge.net>

		  * exif-data.[c,h]
	  (exif_data_option_get_[name,description]),
		  (exif_data_[set,unset]_option): New
		  * exif-tag.[c,h]: EXIF_TAG_GAMMA: New.
		  * exif-entry.c: (exif_entry_fix) Accept empty entries.

2005-04-24 09:05   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* test/nls/Makefile.am: ship test-codeset.c in tarball

2005-04-24 09:04   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* test/nls/check-localedir.in: fix for non-POSIX sh

2005-04-24 09:03   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* libexif/exif-content.c: comment unused constant

2005-04-24 09:02   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* libexif/exif-data.c: readability cosmetics

2005-04-24 09:01   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* po/POTFILES.in: add test/nls/test-codeset.c for translation

2005-04-24 09:01   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.ac: make sqrt/libm detection work even in case of
	  CPPFLAGS=-Werror

2005-04-24 09:00   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* doc/Makefile.am, libexif/Makefile.am: fix dependencies for
	  recursive make

2005-04-22 15:02   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* m4m/gp-check-library.m4: new library test code, and solaris also
	  uses .so

2005-04-22 14:55   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* autogen.sh: correctly handle changing to relative directories in
	  recursive operation

2005-04-22 00:56   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* m4m/: gp-config-msg.m4: make expr params POSIX compatible

2005-04-19 01:49   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* test/nls/: Makefile.am, check-codeset.in, test-codeset.c: add
	  translation codeset check

2005-04-18 15:44   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* autogen.sh: 0.4.1 autogen.sh (libtoolize error handling)

2005-04-16 04:27   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* m4m/gp-check-library.m4: move warning to the right place

2005-04-16 02:48   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* m4m/gp-check-library.m4: updated gp-check-library.m4

2005-04-16 01:48   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* autogen.sh: autogen.sh 0.4.0:   - properly handle recursion	-
	  add --dry-run mode

2005-04-15 21:51   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.ac: versioning docs

2005-04-15 19:37   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, configure.ac: 2005-04-15  Lutz Mueller
	  <lutz@users.sourceforge.net>

		  Submitted by Hongli Lai <h.lai@chello.nl>:

		  * configure.ac: CURRENT needs only to be increased on
	  changes or
		    removals, not additions.

2005-04-15 04:38   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* m4m/gp-config-msg.m4: prettier config msg output

2005-04-15 04:25   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* m4m/gp-check-library.m4, autogen.sh, configure.ac: improved lots
	  of stuff, and update macros from gphoto2

2005-04-14 22:47   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* m4m/: gp-check-library.m4, gp-config-msg.m4, gp-documentation.m4:
	  update m4 macros from gphoto

2005-04-12 04:53   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* doc/Makefile.am: it is $(AMTAR), not $(TAR)

2005-04-12 03:27   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* Makefile.am, configure.ac, doc/Doxyfile.in, doc/Makefile.am,
	  doc/README.apidocs, libexif/exif-data.h, libexif/exif-log.h,
	  po/de.po, po/es.po, po/fr.po: test doxygen for API docs (read
	  doc/README.apidocs first)

2005-04-12 03:21   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* m4/Makefile.am: remove all files from obsolete m4/ dir

2005-04-09 21:14   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: remove configure.in (using configure.ac now)

2005-04-09 20:48   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* Makefile.am, configure.ac, configure.in: haha. switch from m4/ to
	  m4m/

2005-04-09 20:22   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* m4/Makefile.am: empty Makefile.am

2005-04-09 20:18   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* m4m/: .cvsignore, Makefile.am, gp-byteorder.m4,
	  gp-check-library.m4, gp-check-popt.m4,
	  gp-check-shell-environment.m4, gp-config-msg.m4,
	  gp-documentation.m4, gp-gettext-hack.m4, gp-packaging.m4,
	  gp-pkg-config.m4, gp-references.m4, stdint.m4: common macros in
	  m4m/

2005-04-09 20:16   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* m4/: .cvsignore, Makefile.am, gp-byteorder.m4,
	  gp-check-library.m4, gp-check-popt.m4,
	  gp-check-shell-environment.m4, gp-config-msg.m4,
	  gp-documentation.m4, gp-gettext-hack.m4, gp-packaging.m4,
	  gp-pkg-config.m4, gp-references.m4, stdint.m4: remove m4/ dir

2005-04-09 19:52   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* autogen.sh: autogen.sh clean: handle both m4 and m4m

2005-04-06 16:56   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* m4/gp-check-library.m4: gp-check-library.m4: disable broken
	  tests, correctly insert user provided tests
	  2005-04-06T18:56:16+0200

2005-04-06 16:31   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* m4/gp-documentation.m4: gp-documentation.m4: add gp_config_msg
	  2005-04-06T18:30:46+0200

2005-04-06 16:23   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* m4/gp-gettext-hack.m4: gp-gettext-hack.m4: more macro sequence
	  checks 2005-04-06T18:22:56+0200

2005-04-06 16:03   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* m4/gp-check-popt.m4: _CPPFLAGS vs _CFLAGS in popt check

2005-04-06 15:49   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* autogen.sh: check tool versions before using them old
	  automake/aclocal don't understand the minimum version
	  requirements 2005-04-06T17:49:39+0200

2005-04-02 02:43   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* m4/stdint.m4: remove $Id$

2005-04-02 02:41   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: consistently use *_CFLAGS, AM_CPPFLAGS and CPPFLAGS

2005-04-02 02:33   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* m4/: gp-check-library.m4, gp-check-popt.m4: consistently use
	  *_CFLAGS, AM_CPPFLAGS and CPPFLAGS

2005-04-02 02:28   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* m4/gp-check-shell-environment.m4: only print LC_* and LANG* if
	  told explicitly

2005-04-02 02:27   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* m4/gp-config-msg.m4: improved docs and calling conventions of
	  GP_CONFIG_MSG

2005-03-31 19:13   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* autogen.sh: fix typo in autogen.sh

2005-03-31 12:24   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* libexif/exif-utils.c: exif_get_sshort is declared in .h file, so
	  no static here

2005-03-31 09:27   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* m4/: gp-byteorder.m4, gp-documentation.m4, gp-packaging.m4,
	  gp-references.m4: unify m4 macro set

2005-03-31 09:16   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* autogen.sh: unify autogen.sh scripts

2005-03-31 08:21   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* m4/: Makefile.am, gp-check-library.m4, gp-check-popt.m4,
	  gp-check-shell-environment.m4, stdint.m4: unify m4 macro set

2005-03-30 12:53   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* Makefile.am: ship autogen.sh in tarball

2005-03-30 09:04   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c: 2005-03-30  Lutz Mueller
	  <lutz@users.sourceforge.net>

		  * libexif/exif-data.c: Convert some DEBUG messages to
	  CORRUPT_DATA.

2005-03-30 07:55   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, Makefile.am, README, configure.in,
	  libexif/exif-data.c, libexif/exif-loader.c, libjpeg/Makefile.am,
	  libjpeg/jpeg-data.c, libjpeg/jpeg-data.h, libjpeg/jpeg-marker.c,
	  libjpeg/jpeg-marker.h, test/Makefile.am, test/test-tree.c:
	  2005-03-29  Lutz Mueller <lutz@users.sourceforge.net>

		  * libjpeg: Removed.
		  * README
		  * Makefile.am
		  * configure.in
		  * libexif/exif-loader.c
		  * libexif/exif-data.c: Remove references to libjpeg.
		  * test/test-tree.c: Removed.
		  * test/Makefile.am: Remove test-tree

2005-03-26 18:25   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* po/: de.po, es.po, fr.po: po updates

2005-03-26 18:08   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* po/: de.UTF-8, es.UTF-8, fr.UTF-8: remove obsolete *.UTF-8 files

2005-03-26 18:08   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* NEWS: a few more items for the release notes

2005-03-26 18:07   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* .cvsignore, Makefile.am: a little help for the maintainer

2005-03-25 04:13   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* libexif/: exif-entry.c, exif-format.c, exif-tag.c: add note about
	  codeset

2005-03-25 02:17   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: m4 quote cosmetics

2005-03-24 15:52   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in, m4/Makefile.am, m4/gp-check-shell-environment.m4:
	  check shell environment

2005-03-24 15:40   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* autogen.sh: unify autogen.sh scripts

2005-03-24 04:39   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in, m4/gp-config-msg.m4, m4/gp-gettext-hack.m4: unify
	  macro set

2005-03-22 01:27   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* libexif/canon/exif-mnote-data-canon.c: Symptoms of bug #1054323
	  are fixed, but not the cause. Added FIXME notice about the cause.

2005-03-18 13:40   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* autogen.sh: use consistent autogen.sh versions

2005-03-18 13:40   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: fix problems with po/ not defining top_builddir in
	  out-of-tree builds

2005-03-17 16:00   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in, libexif/exif-entry.c, libexif/exif-format.c,
	  libexif/exif-tag.c, libexif/canon/mnote-canon-tag.c,
	  libexif/olympus/mnote-olympus-tag.c,
	  libexif/pentax/mnote-pentax-tag.c, test/nls/print-localedir.c:
	  use LOCALEDIR instead of _LOCALEDIR

2005-03-17 15:58   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* libexif/libexif.pc.in: -I${includedir}/libexif does not make
	  sense - you should always use #include <libexif/*.h>

2005-03-17 15:56   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* libexif/exif-data.c: correct byteorder names for functions

2005-03-17 07:43   Jan Patera <patera@users.sourceforge.net>

	* libexif/exif-data.c: Corrected byte ordering when sorting tags.

2005-03-16 21:45   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-entry.c: 2005-03-16  Lutz Mueller
	  <lutz@users.sourceforge.net>

		  * libexif/exif-entry.c (exif_entry_get_value): Fix tag
	  COPYRIGHT.

2005-03-16 07:32   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c: 2005-03-16  Lutz Mueller
	  <lutz@users.sourceforge.net>

		  * libexif/exif-data.c (exif_data_save_data_content): Use
	  qsort.

2005-03-16 07:09   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libjpeg/jpeg-data.c: 2005-03-16  Lutz Mueller
	  <lutz@users.sourceforge.net>

		  * libjpeg/jpeg-data.c: Fix #1054322.

2005-03-16 06:57   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c, libexif/exif-entry.c: 2005-03-16
	  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-entry.c: Fix #1051994.

2005-03-16 06:41   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-entry.c:
	  2005-03-16  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-entry.c: Marked some strings for
	  translation. Fix #803191.

2005-03-15 01:31   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* m4/gp-pkg-config.m4: require pkg-config

2005-03-14 04:25   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* m4/Makefile.am: argh confustion typo

2005-03-14 04:16   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: renamed macro to AX_NEED_STDINT_H from
	  AC_NEED_STDINT_H

2005-03-14 03:51   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* m4/: Makefile.am, stdint.m4: re-add stdint.h

2005-03-14 03:37   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* m4/: Makefile.am, gp-pkg-config.m4, stdint.m4: remove unnecessary
	  stdint.m4

2005-03-13 23:03   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* po/de.po: misc. small fixes and updates to german translation

2005-03-13 22:34   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* po/de.po: merged in Marcus Meissner's translation from
	  https://sourceforge.net/tracker/index.php?func=detail&aid=1108176&group_id=12272&atid=312272

2005-03-13 22:21   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* Makefile.am: initial check-in

2005-03-13 20:37   Jan Patera <patera@users.sourceforge.net>

	* ChangeLog, libexif/exif-entry.c: Minor fix of another Lutz's
	  2003-03-09 change 2005-03-13	Jan Patera
	  <patera@users.sourceforge.net>

		  * libexif/exif-entry.c (exif_entry_fix): Update also
	  e->components

2005-03-13 19:56   Jan Patera <patera@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c: 2005-03-13  Jan Patera
	  <patera@users.sourceforge.net>

		  * libexif/exif-data.c: critical fix of 2005-03-09 change:
	  saving
		    IFD containing data of odd length was causing memory
	  corruption
		    and total lost of entire EXIF data

2005-03-13 15:54   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: set version 0.6.13, as 0.6.12 has been released

2005-03-13 15:30   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* ChangeLog, NEWS: libexif 0.6.12 release

2005-03-13 04:15   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* test/nls/Makefile.am: ship all required NLS test files

2005-03-13 02:15   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* .cvsignore, libexif/.cvsignore, libexif/canon/.cvsignore,
	  libexif/olympus/.cvsignore, libexif/pentax/.cvsignore,
	  m4/.cvsignore, po/.cvsignore, test/.cvsignore,
	  test/nls/.cvsignore: update .cvsignore files for present files

2005-03-13 02:12   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* po/de.po: comment about special string

2005-03-13 02:11   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* po/: es.po, fr.po: po-update {fr,es}.po to current strings

2005-03-13 01:55   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* Makefile.am, configure.in, m4/gp-gettext-hack.m4,
	  test/Makefile.am, test/nls/Makefile.am,
	  test/nls/check-localedir.in, libexif/canon/Makefile.am,
	  libexif/pentax/Makefile.am, libexif/olympus/Makefile.am:
	  libintl/gettext cleanup:   * don't ship libintl, use external one
	  instead (like 0.6.11 release)   * test value of localedir (to
	  prevent mishaps)   * link everything against libintl using
	  libtool (if libintl present)

2005-03-12 21:32   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* test/nls/: Makefile.am, test-nls.c: updated, but deactivated NLS
	  tests (they complete, but depend on system locale settings)

2005-03-12 06:54   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* m4/gp-gettext-hack.m4: gp-gettext-hack.m4: actually use the given
	  parameter

2005-03-12 04:00   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in, po/POTFILES.in, test/Makefile.am,
	  test/nls/Makefile.am, test/nls/check-nls.in,
	  test/nls/print-localedir.c, test/nls/test-nls.c: fix and test
	  translations

2005-03-12 03:58   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* po/de.po: updated german translation

2005-03-11 20:49   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: message cosmetics

2005-03-11 20:24   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* m4/gp-config-msg.m4: use POSIX.2 expr syntax

2005-03-11 16:36   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* NEWS: NEWS update for 0.6.12

2005-03-11 16:26   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* NEWS: NEWS cleanup

2005-03-11 15:48   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* contrib/watcom/_stdint.h: define the whole range of standard
	  integer types for watcom

2005-03-10 21:17   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, test/test-mem.c: 2005-03-11  Lutz Mueller
	  <lutz@users.sourceforge.net>

		  Spotted by Jan Patera <patera@users.sourceforge.net>:

		  * test/test-mem.c: Small fix.

2005-03-10 20:48   Jan Patera <patera@users.sourceforge.net>

	* ChangeLog, libexif/exif-entry.c, libexif/exif-utils.c,
	  libexif/exif-utils.h: 2005-03-10  Jan Patera
	  <patera@users.sourceforge.net>

		  * libexif/exif-utils.*,exif-entry.c: Full support of
	  EXIF_FORMAT_SSHORT
		    (used by Nikon & Olympus mnote tags)

2005-03-09 22:20   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-utils.c: 2005-03-09  Lutz Mueller
	  <lutz@users.sourceforge.net>

		  * libexif/exif-utils.c (exif_array_set_byte_order):
	  Return if an invalid
			  format is supplied.

2005-03-09 22:15   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-entry.c: 2005-03-09  Lutz Mueller
	  <lutz@users.sourceforge.net>

		  * libexif/exif-entry.c (exif_entry_fix): Update e->size.

2005-03-09 22:11   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c: 2005-03-09  Lutz Mueller
	  <lutz@users.sourceforge.net>

		  * libexif/exif-data.c (exif_data_save_data_content):
	  Update comment that
			  this code does not honor the specification yet.

2005-03-09 22:05   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c: 2005-03-09  Lutz Mueller
	  <lutz@users.sourceforge.net>

		  * libexif/exif-data.c (exif_data_save_data_content): Save
	  entries in
			  the correct order.

2005-03-09 22:03   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, test/test-mem.c: 2005-03-09  Lutz Mueller
	  <lutz@users.sourceforge.net>

		  * test/test-mem.c: Write size to loader to make the test
	  work again.

2005-03-09 21:05   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/canon/exif-mnote-data-canon.c: 2005-03-09
	  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/canon/exif-mnote-data-canon.c
	  (exif_mnote_data_canon_save):
			  Ensure even offsets.

2005-03-09 21:00   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c: 2005-03-09  Lutz Mueller
	  <lutz@users.sourceforge.net>

		  * libexif/exif-data.c (exif_data_save_data_entry):
	  According to the TIFF
			  specification, the offset must be an even number.
	  If we need to introduce
		    a padding byte, we set it to 0.

2005-03-09 20:49   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c, libexif/exif-utils.c,
	  libexif/exif-utils.h, libexif/canon/exif-mnote-data-canon.c,
	  libexif/olympus/exif-mnote-data-olympus.c,
	  libexif/pentax/exif-mnote-data-pentax.c: 2005-03-09  Lutz Mueller
	  <lutz@users.sourceforge.net>

		  * libexif/exif-utils.[c,h] (exif_array_set_byte_order):
	  New function.
		  * libexif/exif-data.c
		  * libexif/canon/exif-mnote-data-canon.c
		  * libexif/olympus/exif-mnote-data-olympus.c
		  * libexif/pentax/exif-mnote-data-pentax.c: Use new
	  function.

2005-03-09 17:30   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* ChangeLog, NEWS: Add CAN-2005-0664 number to ChangeLog and NEWS
	  files

2005-03-09 13:38   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* ChangeLog, NEWS: Add content to NEWS, reformat ChangeLog
	  (preparing for release)

2005-03-09 06:02   Jan Patera <patera@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c: 2005-03-09  Jan Patera
	  <patera@users.sourceforge.net>	 * exif_data.c: Final fix
	  of Ubuntu Security Notice USN-91-1
	  https://bugzilla.ubuntulinux.org/show_bug.cgi?id=7152
	  Most of the problem (including most important parts) was
	  already fixed in the past.

2005-02-13 03:45   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* autogen.sh: support AC_CONFIG_AUX_DIR = CWD

2005-02-10 19:56   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* m4/gp-config-msg.m4: output cosmetics

2005-02-10 19:56   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* autogen.sh: autogen.sh: support AC_CONFIG_AUX_DIR and
	  AC_CONFIG_HEADERS

2005-02-10 15:25   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in, m4/gp-config-msg.m4, m4/gp-gettext-hack.m4:
	  simplified gettext macros, improved config output

2005-02-10 15:19   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* autogen.sh: autogen.sh: add uuid, handle non-existent config.h

2005-02-10 00:04   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* autogen.sh: autogen.sh help update

2005-02-09 21:01   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* autogen.sh: reindent source

2005-02-09 21:00   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* po/: de.po, es.po, fr.po: revert unintended .po file update

2005-02-09 20:57   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* autogen.sh, po/de.po, po/es.po, po/fr.po: Cygwin fixes for
	  autogen.sh

2005-02-09 01:47   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* ChangeLog: ChangeLog entry about windows crosscompilation

2005-02-09 01:44   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in, libexif/Makefile.am: check whether -lm is required
	  -> enable crosscompile for windows

2005-02-09 01:17   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* libexif/Makefile.am: LDFLAGS -no-undefined for Windows DLLs,
	  Tru64 and AIX shared libs

2005-02-09 01:09   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* libexif/Makefile.am: actually link against included libintl.a if
	  requested

2005-02-09 01:07   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: more C language checks

2005-02-08 23:59   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* ChangeLog: ChangeLog of today

2005-02-08 23:51   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in, libexif/Makefile.am, libexif/i18n.h,
	  libexif/canon/Makefile.am, libexif/olympus/Makefile.am,
	  libexif/pentax/Makefile.am, libjpeg/Makefile.am,
	  test/Makefile.am: Build variable cleanup:   - use common
	  definition for AM_CFLAGS (remove INCLUDES in **/Makefile.am)	 -
	  define LIBEXIF_LOCALEDIR and LIBMNOTE_LOCALEDIR in config.h	-
	  allow user to add CFLAGS at ./configure time by setting CFLAGS
	  - add intl/ to include path only if building the included libintl

2005-02-08 19:03   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* libjpeg/Makefile.am: fix typo in path

2005-02-08 18:52   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* test/Makefile.am: fix typo in path

2005-02-08 18:19   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: typo

2005-02-08 17:58   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* m4/: gp-config-msg.m4, gp-gettext-hack.m4: more comments

2005-02-08 17:33   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* m4/Makefile.am, m4/gp-config-msg.m4, configure.in: clean config
	  info block

2005-02-08 16:00   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* autogen.sh: pretty comments for autogen.sh

2005-02-08 15:48   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* m4/stdint.m4: improved m4 quoting

2005-02-08 15:46   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* po/.cvsignore: adapt po/.cvsignore for renamed pot files

2005-02-08 15:45   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* Makefile.am, autogen.sh, configure.in, m4/Makefile.am,
	  m4/gp-gettext-hack.m4: New build system initialization:  -
	  doesn't require gettextize any more (using autopoint now)  - uses
	  all the built-in magic from autoreconf

2005-02-08 12:51   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: correct quoting

2005-02-08 12:04   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: update to contemporary automake/autoconf/gettext;
	  remove gettextize hack

2005-02-08 11:57   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* .cvsignore: CVS ignore *.tar.bz2

2005-02-08 11:03   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: configure.in: split AC_OUTPUT to AC_CONFIG_FILES

2005-02-08 00:12   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* Makefile.am, configure.in: cosmetics, testing ciabot

2004-12-17 04:22   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-loader.c:
	  2004-12-17  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-loader.c: Work towards a non-recursive
	  version of
		    (exif_loader_write).

2004-12-17 04:15   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-loader.c:
	  2004-12-17  Lutz Mueller <lutz@users.sourceforge.net>

		  Lars Ellenberg <l.g.e@web.de> fixed a bug that I
	  introduced
		  in the last commit:

		  * libexif/exif-loader.c: Don't substract 2 bytes twice.

2004-12-16 21:00   Jan Patera <patera@users.sourceforge.net>

	* libexif/exif-data.c: Don't crash if IFD1 offset out of available
	  data

2004-12-12 12:55   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-loader.c:
	  2004-12-12  Lutz Mueller <lutz@users.sourceforge.net>

		  Pointed out by Lars Ellenberg <l.g.e@web.de>:

		  * libexif/exif-loader.c: Honor indirect offsets in
	  FUJI_RAW-files.
		    Don't perform unnecessary checks for known data
	  formats.

2004-12-11 04:28   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c, libexif/exif-loader.c:
	  2004-12-11  Lutz Mueller <lutz@users.sourceforge.net>

		  Inspired by suggestions from Lars Ellenberg
	  <l.g.e@web.de>:

		  * libexif/exif-data.c: Fix spelling error.
		  * libexif/exif-loader.c (exif_loader_write): Rewrite
	  logic to
		    make the loader handle more file types.

2004-12-08 07:04   Jan Patera <patera@users.sourceforge.net>

	* ChangeLog: 2004-12-08  Jan Patera <patera@users.sourceforge.net>
	  * libexif/exif-entry.c: Data format of EXIF_TAG_USER_COMMENT:
	  Some packages like Canon ZoomBrowser EX 4.5 store only
	  one zero byte followed by 7 bytes of rubbish

2004-12-08 07:00   Jan Patera <patera@users.sourceforge.net>

	* libexif/exif-entry.c: EXIF_TAG_USER_COMMENT: Some packages like
	  Canon ZoomBrowser EX 4.5 store only one zero byte followed by 7
	  bytes of rubbish

2004-11-16 23:52   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c:
	  2004-11-17  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-data.c: Make the last commit actually
	  work.

2004-11-15 22:41   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-content.c, libexif/exif-content.h,
	  libexif/exif-data.c:
	  2004-11-15  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-content.c: Complain if the same tag is
	  added twice
		    to an IFD. Suggestion by Angela Wrobel.

2004-11-15 07:09   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c:
	  2004-11-15  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-data.c: Additional debugging message if
		    specification is violated.

2004-11-14 21:55   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c, libexif/exif-mnote-data.c:
	  2004-11-14  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/*: Plug another few memleaks. All found by
	  Angala Wrobel.

2004-11-12 11:33   Jan Patera <patera@users.sourceforge.net>

	* libexif/exif-tag.c: #include <string.h> because of strcmp

2004-11-12 07:46   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c:
	  2004-11-12  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-data.c: Clean up handling of MakerNote
	  tags.

2004-11-11 20:33   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-entry.c, libexif/exif-mnote-data.c:
	  2004-11-11  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-mnote-data.c: Plug yet another memory
	  leak.
		    Detected by Angela Wrobel.

2004-11-11 20:24   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-log.c:
	  2004-11-11  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-log.c: Plug another memory leak. Detected
	  by
		    Angela Wrobel.

2004-11-11 20:19   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/canon/exif-mnote-data-canon.c:
	  2004-11-11  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/canon/exif-mnote-data-canon.c: Do not crash on
	  strange
		    data. Pointed out by Angela Wrobel.

2004-11-11 20:13   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/canon/exif-mnote-data-canon.c,
	  libexif/olympus/exif-mnote-data-olympus.c:
	  2004-11-11  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/*: Replace another few realloc by
	  exif_mem_realloc.

2004-11-10 18:53   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/Makefile.am, libexif/exif-byte-order.c,
	  libexif/exif-content.c, libexif/exif-data.c,
	  libexif/exif-entry.c, libexif/exif-format.c, libexif/exif-ifd.c,
	  libexif/exif-loader.c, libexif/exif-log.c, libexif/exif-mem.c,
	  libexif/exif-mnote-data.c, libexif/exif-result.h,
	  libexif/exif-tag.c, libexif/exif-utils.c:
	  2004-11-10  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/*.c: Change #include "" to #include <>.
		  * Makefile.am:
		  * exif-result.h: Removed.

2004-11-10 18:38   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-tag.c, libexif/exif-tag.h:
	  2004-11-10  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-tag.[c,h] (exif_tag_from_name): New.
	  Suggested by
		    Angela Wrobel.

2004-11-10 18:30   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c, contrib/watcom/Makefile,
	  contrib/watcom/Makefile.wat, contrib/watcom/_stdint.h,
	  contrib/watcom/_stdint_watcom.h:
	  2004-11-10  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-data.c (exif_data_free): Fix memleak found
	  by
		    Angela Wrobel.
		  * contrib/watcom: Updated files contributed by Angela
	  Wrobel.

2004-11-03 06:54   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-format.c:
	  2004-11-03  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-format.c: More translatable strings.

2004-11-02 21:05   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c, libexif/exif-entry.c:
	  2004-11-02  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-entry.c (exif_entry_fix): Detect more
	  wrong stuff.
		  * libexif/exif-data.c: Detect recursive calls.

2004-11-02 08:39   Jan Patera <patera@users.sourceforge.net>

	* ChangeLog: 2004-11-02  Jan Patera <patera@users.sourceforge.net>

		  * libexif/exif-entry.c: added LZW
		  * libexif/exif-tag.*: added few tags used by .NEF
		  * libexif/exif-data.c: logging unknown tags

2004-11-02 08:33   Jan Patera <patera@users.sourceforge.net>

	* libexif/exif-data.c: Unknown tag ID and its position in IFD are
	  logged before exif_data_load_data_content() gives up.

2004-11-02 08:32   Jan Patera <patera@users.sourceforge.net>

	* libexif/: exif-tag.c, exif-tag.h: Added these tags:
	  EXIF_TAG_NEW_SUBFILE_TYPE	= 0x00fe  EXIF_TAG_SUB_IFDS
	      = 0x014a	EXIF_TAG_XML_PACKET	      = 0x02bc
	  EXIF_TAG_IMAGE_RESOURCES	= 0x8649
	  EXIF_TAG_TIFF_EP_STANDARD_ID	= 0x9216

	  These tags are used in the Nikon Raw format .NEF.  The primary
	  reason why I added these items is that
	  exif_data_load_data_content() gives parsing IFD up when it
	  encounters an unknown tag.

2004-11-02 08:25   Jan Patera <patera@users.sourceforge.net>

	* libexif/exif-mem.c: #include <exif-mem.h> changed to #include
	  "exif-mem.h"

2004-11-01 17:16   Jan Patera <patera@users.sourceforge.net>

	* libexif/exif-entry.c: Tag 0x103 (Compression): Value 5 (LZW)
	  recognized

2004-10-20 06:13   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, Makefile.am, configure.in:
	  2004-10-20  Lutz Mueller <lutz@users.sourceforge.net>

		  * Makefile.am: Add intl
		  * configure.in: Add intl/Makefile. Now "make distcheck"
	  works.

2004-10-20 06:06   Lutz Mueller <lutz@users.sourceforge.net>

	* libexif/exif-entry.c: 2004-10-16  Lutz Mueller
	  <lutz@users.sourceforge.net>

		  Martin Willers <willers@xm-arts.de> found an off-by-one
	  error:

		  * libexif/exif-entry.c: libexif forget to add 1
		    to tm_mon from struct tm

2004-10-19 05:55   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, configure.in:
	  2004-10-18  Lutz Mueller <lutz@users.sourceforge.net>

		  Patch by Krisztian VASAS <iron@ironiq.hu>:

		  * configure.in: Create po/Makefile.in from
	  po/Makefile.in.in

2004-10-16 12:41   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, configure.in:
	  2004-10-16  Lutz Mueller <lutz@users.sourceforge.net>

		  * configure.in: We are now working on version 0.6.12.

2004-10-16 12:21   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, configure.in:
	  2004-10-16  Lutz Mueller <lutz@users.sourceforge.net>

		  * configure.in: set CURRENT to 12. There have been quite
	  a few
		    additions to the header files.

2004-10-05 19:14   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c, libexif/i18n.h,
	  libexif/exif-content.c, libexif/exif-entry.c:
	  2004-10-05  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-data.c: Support for WatCom. Convert
	  debugging code
		    to exif-log API.
		  * libexif/i18n.h: Support for WatCom. Patch by Angela
	  Wrobel.

2004-10-05 18:57   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, contrib/watcom/Makefile.wat,
	  contrib/watcom/_stdint_watcom.h:

	  2004-10-05  Lutz Mueller <lutz@users.sourceforge.net>

		  * contrib/watcom: Files contributed by Angela Wrobel.

2004-10-04 06:32   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-mem.h:
	  2004-10-04  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-mem.h: Documentation.

2004-10-04 06:26   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-content.c, libexif/exif-data.c,
	  libexif/exif-entry.c, libexif/exif-loader.c, libexif/exif-log.c,
	  libexif/exif-log.h, libexif/exif-mem.c, libexif/exif-mem.h,
	  libexif/exif-mnote-data-priv.h, libexif/exif-mnote-data.c,
	  libexif/canon/exif-mnote-data-canon.c,
	  libexif/canon/exif-mnote-data-canon.h,
	  libexif/olympus/exif-mnote-data-olympus.c,
	  libexif/olympus/exif-mnote-data-olympus.h,
	  libexif/pentax/exif-mnote-data-pentax.c,
	  libexif/pentax/exif-mnote-data-pentax.h:
	  2004-10-04  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/*: Finish replaceable memory-management.

2004-10-02 05:55   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/Makefile.am, libexif/exif-content.c,
	  libexif/exif-content.h, libexif/exif-data.c, libexif/exif-data.h,
	  libexif/exif-entry.c, libexif/exif-entry.h,
	  libexif/exif-loader.c, libexif/exif-loader.h, libexif/exif-mem.c,
	  libexif/exif-mem.h, libexif/canon/mnote-canon-entry.c:
	  2004-10-02  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-mem.[c,h]: New. First attempt to offer
	  out-sourcing
		    of memory management.

2004-10-01 12:26   Jan Patera <patera@users.sourceforge.net>

	* ChangeLog, libexif/exif-entry.c: 2004-10-01  Jan Patera
	  <patera@users.sourceforge.net>

		  * libexif/exif-entry.c: exif_entry_fix:
		    exif_set_short: 2nd & 3rd args swapped

2004-09-18 06:55   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-entry.c:
	  2004-09-18  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-entry.c (exif_entry_fix): Enhance.

2004-09-17 20:59   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c, libexif/exif-entry.c,
	  libexif/exif-entry.h, libexif/olympus/mnote-olympus-entry.c,
	  libexif/pentax/mnote-pentax-entry.c:
	  2004-09-17  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-entry.c (exif_entry_fix): New. Fixes any
	  violations
		    against the standard.

2004-09-17 20:06   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-entry.c:
	  2004-09-17  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-entry.c: Kill some warnings. Read as much
	  from the
		    UserComment tag as possible (as suggested by Angela
	  Wrobel).

2004-09-15 16:43   Jan Patera <patera@users.sourceforge.net>

	* ChangeLog, libexif/exif-loader.c,
	  libexif/olympus/mnote-olympus-entry.c: 2004-09-15  Jan Patera
	  <patera@users.sourceforge.net>

		  * libexif/exif-loader.c: int -> unsigned int.
		  * libexif/olympus/mnote-olympus-entry.c: typecast.
		    Both changes made to avoid compiler warnings.

2004-09-15 16:40   Jan Patera <patera@users.sourceforge.net>

	* libexif/canon/mnote-canon-tag.c: Fixed wrong logic introduced on
	  Sep 7th (This is the last module not yet fixed)

2004-09-12 19:52   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-log.h,
	  libexif/olympus/exif-mnote-data-olympus.c,
	  libexif/pentax/mnote-pentax-entry.c:
	  2004-09-12  Lutz Mueller <lutz@users.sourceforge.net>

		  Patch by marcusmeissner@users.sourceforge.net: Some
	  format string
		  fixes, wrong argument list fixed, format string problems
	  avoided.

2004-09-09 06:27   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, Makefile.am, configure.in, libexif/exif-log.c,
	  libexif/exif-log.h:
	  2004-09-09  Lutz Mueller <lutz@users.sourceforge.net>

		  * configure.in: Remove "([external])" after
	  AM_GNU_GETTEXT as it
		    doesn't work for David MacMahon
	  <davidm@astro.berkeley.edu>.
		  * libexif/exif-log.[c,h]: Provide some standard messages
	  and titles.
		  * configure.in: Increment version as interfaces have been
	  added.

2004-09-08 21:02   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-entry.c:
	  2004-09-08  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-entry.c: Change comment to point to
	  specification.

2004-09-08 20:55   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-entry.c, libexif/exif-log.h:
	  2004-09-08  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-entry.c: Redirect error messages to the
	  logging
		    mechanism.
		  * libexif/exif-log.h: EXIF_LOG_CODE_CORRUPT_DATA: New.

2004-09-08 06:00   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c, libexif/exif-loader.c:
	  2004-09-08  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-loader.c
		  * libexif/exif-data.c: Replace a couple of calls to
	  malloc by
		    calls to calloc.

2004-09-07 20:46   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-entry.c:
	  2004-09-07  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-entry.c: Use calloc. Hint by Jan Patera
		    <patera@pictview.com>.

2004-09-07 20:41   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/olympus/mnote-olympus-tag.c,
	  libexif/pentax/mnote-pentax-tag.c:
	  2004-09-07  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/olympus
		  * libexif/pentax: Fix typo and wrong logic introduced
	  during my
		    last changes. Thanks to Jan Patera
		    <patera@pictview.com> for keeping an eye on me.

2004-09-07 06:33   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/canon/mnote-canon-tag.c,
	  libexif/olympus/exif-mnote-data-olympus.c,
	  libexif/olympus/mnote-olympus-tag.c,
	  libexif/pentax/mnote-pentax-tag.c:
	  2004-09-07  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/olympus
		  * libexif/pentax
		  * libexif/canon: Correctly return names, titles and
	  descriptions of
		    tages. Pointed out by Angela Wrobel.

2004-09-07 06:15   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c, libexif/exif-entry.c:
	  2004-09-07  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-entry.c: More guards against malloc
	  returning NULL.
		    Problem spotted by Angela Wrobel.

2004-09-02 18:50   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-entry.c:
	  2004-09-02  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-entry.c: First part of a patch to be less
	  strict on
		    the USER_COMMENT-tag. Submitted by Angela Wrobel,
	  slightly adapted.

2004-09-01 20:15   Lutz Mueller <lutz@users.sourceforge.net>

	* README, ChangeLog, libexif/exif-tag.c:
	  2004-09-01  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-tag.c: First ideas on how to support
	  generation of
		    mandatory exif tags for a new image.

2004-09-01 06:16   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/olympus/mnote-olympus-tag.c,
	  libexif/pentax/mnote-pentax-tag.c:
	  2004-09-01  Lutz Mueller <lutz@users.sourceforge.net>

		  Suggestion by Angela Wrobel
	  (http://www.wrobelnet.de/contact.html):

		  * libexif/pentax:
		  * libexif/olympus: Improve user experience by removing
	  information
		    from the output that was only intended for developers.

2004-08-31 06:11   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, test/test-mem.c:
	  2004-08-31  Lutz Mueller <lutz@users.sourceforge.net>

		  * test/test-mem.c: Plug some memory leaks. Suggested by
	  Angela Wrobel
		    (http://www.wrobelnet.de/contact.html).

2004-08-27 20:14   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, configure.in:
	  2004-08-27  Lutz Mueller <lutz@users.sourceforge.net>

		  * configure.in: 0.6.10 -> 0.6.11, as libexif-0.6.10 has
	  just been
		    released.

2004-08-27 15:28   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog: [no log message]

2004-08-26 22:17   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-tag.c:
	  2004-08-26  Lutz Mueller <lutz@users.sourceforge.net>

		  Achim Bohnet found a spelling mistake:

		  * libexif/exif-tag.c: 'colums' -> 'columns'

2004-08-26 20:08   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-entry.c, libexif/exif-loader.c,
	  libexif/exif-utils.c, libexif/olympus/exif-mnote-data-olympus.c,
	  libexif/pentax/exif-mnote-data-pentax.c:
	  2004-08-26  Lutz Mueller <lutz@users.sourceforge.net>

		  Suggestions from Angela Wrobel <Angela.Wrobel@gmx.de>:

		  * libexif/exif-entry.c
		  * libexif/exif-loader.c
		  * libexif/exif-utils.c
		  * olympus/exif-mnote-data-olympus.c
		  * pentax/exif-mnote-data-pentax.c: Check if malloc
	  returned NULL.

2004-08-16 14:48   Jan Patera <patera@users.sourceforge.net>

	* libexif/olympus/mnote-olympus-entry.c: MNOTE_OLYMPUS_TAG_VERSION
	  can have 5 or 8 chars

2004-07-13 15:16   Jan Patera <patera@users.sourceforge.net>

	* ChangeLog, libexif/exif-mnote-data-priv.h,
	  libexif/exif-mnote-data.c, libexif/exif-mnote-data.h,
	  libexif/canon/exif-mnote-data-canon.c,
	  libexif/olympus/exif-mnote-data-olympus.c,
	  libexif/pentax/exif-mnote-data-pentax.c: 2004-07-13  Jan Patera
	  <patera@users.sourceforge.net>

		  * libexif/exif-mnote-*.*: added exif_mnote_data_get_id()
		    returning actual mnote entry tag ID (suggested by Serge
		    Droz <serge.droz@psi.ch>)

2004-07-01 10:54   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* libexif.spec.in: Bugfix: [ 686847 ] Mistakes in libexif spec file
	  file list

2004-06-23 17:35   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/olympus/mnote-olympus-entry.c:
	  2004-06-23  Serge Droz <serge.droz@psi.ch>

		  (committed by Lutz Mueller <lutz@users.sourceforge.net>)

		  * libexif/olympus/mnote-olympus-entry.c: Reapply Jan
	  Patera's
		    change.

2004-06-22 18:25   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/olympus/mnote-olympus-entry.c:
	  2004-06-22  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/olympus/mnote-olympus-entry.c: Correct the
	  usage of
		    strncat. Fix pointed out by Serge Droz
	  <serge.droz@psi.ch>.

2004-06-22 18:10   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/olympus/mnote-olympus-tag.c,
	  libexif/olympus/mnote-olympus-tag.h:
	  2004-06-22  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/olympus/mnote-olympus-tag.[c,h]: New tags
	  discovered by
		    Serge Droz <serge.droz@psi.ch>.

2004-06-15 16:23   Jan Patera <patera@users.sourceforge.net>

	* ChangeLog: libexif/olympus/mnote-olympus-entry.c:
	  MNOTE_OLYMPUS_TAG_INFO

2004-06-15 16:21   Jan Patera <patera@users.sourceforge.net>

	* libexif/olympus/mnote-olympus-entry.c: MNOTE_OLYMPUS_TAG_INFO:
	  handle length 53 (in addition to 52) & extract the string

2004-06-07 14:08   Jan Patera <patera@users.sourceforge.net>

	* libexif/olympus/mnote-olympus-entry.c: Prevent crashes on too
	  many unknown bytes: man strncat: only the first n characters of
	  src are appended to dest.

2004-06-06 03:04   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-mnote-data.c,
	  libexif/olympus/Makefile.am,
	  libexif/olympus/exif-mnote-data-olympus.c,
	  libexif/olympus/mnote-olympus-entry.c,
	  libexif/olympus/mnote-olympus-tag.c:
	  2004-06-06  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/olympus/exif-mnote-data-olympus.c: More
	  documentation,
		    additional case (Nikon, 02 0a 00).
		  * Makefile.am: s/LIBMNOTE/LIBEXIF

2004-06-04 19:48   Lutz Mueller <lutz@users.sourceforge.net>

	* README: Mention pel.

2004-05-27 17:56   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, configure.in:
	  2004-05-27  Lutz Mueller <lutz@users.sourceforge.net>

		  * configure.in: 0.6.10 as 0.6.9 has just been released.

2004-05-27 17:11   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-entry.c:
	  2004-05-27  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-entry.c: Jan Patera pointed me to the fact
	  that
		    last change is pointless.

2004-05-26 22:27   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-entry.c:
	  2004-05-27  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-entry.c: According to Ralf Holzer
	  <rholzer@cmu.edu>,
		    the user comment field does not have to be NULL
	  terminated.

2004-05-25 22:30   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/olympus/exif-mnote-data-olympus.c,
	  libexif/olympus/mnote-olympus-entry.c:
	  2004-05-25  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/olympus/mnote-olympus-entry.c: Print bytes if
	  tag is not
		    known.

2004-05-24 12:28   Jan Patera <patera@users.sourceforge.net>

	* ChangeLog: 2004-05-24  Jan Patera <patera@users.sourceforge.net>

		  * libjpeg/jpeg-data.[c,h]: jpeg_data_append_section
	  changed
		    from static to public
		  * libexif/olumpus/mnote-olympus-entry.c: support of
	  several
		    known but previously not supported Nikon (& 1 Olympus)
	  tags
		  * libexif/exif-entry.c: rational values printed as %2.2f
	  and not %i/%i

2004-05-24 12:13   Jan Patera <patera@users.sourceforge.net>

	* libexif/exif-entry.c: Some rational values are printed as %2.2f
	  and not %i/%i because some cameras and SW tend to write both the
	  numerator and denominator prescaled with some (huge) value  (I
	  have several such Photoshop-edited images taken by kodak DX4900).

2004-05-24 12:08   Jan Patera <patera@users.sourceforge.net>

	* libexif/olympus/mnote-olympus-entry.c: 1) New 3 values of
	  MNOTE_NIKON1_TAG_QUALITY 2) ASCII numeric value of
	  MNOTE_NIKON_TAG_FIRMWARE displays as ASCII and not hex 3) support
	  for MNOTE_NIKON_TAG_DIGITALZOOM, MNOTE_NIKON1_TAG_DIGITALZOOM,
	  MNOTE_NIKON1_TAG_FOCUS & MNOTE_NIKON1_TAG_CONVERTER 4) support of
	  rational value of MNOTE_OLYMPUS_TAG_DIGIZOOM (not only SHORT) 5)
	  double instead of float to avoid precision problems (like
	  0xFFFFFFFF / 0xFFFFFFFF)

2004-05-24 12:06   Jan Patera <patera@users.sourceforge.net>

	* libjpeg/: jpeg-data.c, jpeg-data.h: jpeg_data_append_section
	  changed from static to public

2004-05-21 14:28   Jan Patera <patera@users.sourceforge.net>

	* libexif/exif-log.c: proper size of memblock to clear

2004-05-21 14:23   Jan Patera <patera@users.sourceforge.net>

	* libexif/exif-data.c: strnicmp was not a typo. *nix compilers
	  don't like it therefore I changed it to strncasecmp. Hopefully
	  non-*nix developers will be able to replace it with strnicmp
	  (e.g. via define in their config.h)

2004-05-20 10:50   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/Makefile.am, libexif/exif-data.c,
	  libexif/exif-data.h, libexif/exif-loader.c,
	  libexif/exif-loader.h, libexif/exif-log.c, libexif/exif-log.h,
	  libexif/exif-mnote-data-priv.h, libexif/exif-mnote-data.c,
	  libexif/exif-mnote-data.h,
	  libexif/olympus/exif-mnote-data-olympus.c:
	  2004-05-15  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-log.[c,h]: New. Proposal for handling of
	  debugging
		    messages.

2004-05-18 12:27   Joerg Hoh <hohjg@users.sourceforge.net>

	* libexif/exif-data.c: fixed typo (typical vi failure)

2004-05-16 14:06   Joerg Hoh <hohjg@users.sourceforge.net>

	* libexif/exif-content.c: added error handling on realloc added a
	  missing realloc when removing entries

2004-05-16 13:48   Joerg Hoh <hohjg@users.sourceforge.net>

	* libexif/exif-data.c: added error handling on malloc/realloc

2004-05-15 20:29   Joerg Hoh <hohjg@users.sourceforge.net>

	* libexif/exif-data.c: we know how much memory we need so we don't
	  need to call realloc() all the time

2004-05-13 13:58   Jan Patera <patera@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c: 2004-05-13  Jan Patera
	  <patera@users.sourceforge.net>

		  * libexif/exif-data.c: Fill tag data with zeros on save
	  even
		    if 0 components (buggy Kodak-210)

2004-05-12 12:03   Jan Patera <patera@users.sourceforge.net>

	* ChangeLog, libexif/exif-utils.h,
	  libexif/pentax/mnote-pentax-entry.c: 2004-05-12  Jan Patera
	  <patera@users.sourceforge.net>

		  * libexif/exif-utils.h: definition of MIN
		  * libexif/pentax/mnote-pentax-entry.c: min -> MIN
		    (found by Serge Droz <serge.droz@psi.ch>)

2004-05-11 15:17   Jan Patera <patera@users.sourceforge.net>

	* ChangeLog: 2004-05-11  Jan Patera <patera@users.sourceforge.net>

		  * libjpeg/jpeg-data.c: memory leak in
	  jpeg_data_set_exif_data,
		    return type of jpeg_data_save_file
		  * libexif/exif-entry.c: proper mnote size on save
		  * libexif/olympus: saving Nikon mnote

2004-05-11 15:15   Jan Patera <patera@users.sourceforge.net>

	* libexif/exif-data.c: A fix of storing maker note on save. If the
	  new mnote was longer than in the original file, the created file
	  was corrupted. If it was shorter than originally, random rubbish
	  was stored (could be viewed also as "padding").

2004-05-11 15:11   Jan Patera <patera@users.sourceforge.net>

	* libexif/olympus/: exif-mnote-data-olympus.c,
	  exif-mnote-data-olympus.h: Saving of Nikon v2 maker note

2004-05-11 14:25   Jan Patera <patera@users.sourceforge.net>

	* libjpeg/: jpeg-data.c, jpeg-data.h: jpeg_data_set_exif_data
	  unreferences previous exif info to prevent memory leak.
	  jpeg_data_save_file now returns 1 if success and 0 if failure.
	  Incomplete file is now deleted.

2004-05-10 12:57   Jan Patera <patera@users.sourceforge.net>

	* libexif/olympus/mnote-olympus-entry.c: A CR/LF problem killed
	  output of processing MNOTE_NIKON_TAG_LENS

2004-05-10 12:31   Jan Patera <patera@users.sourceforge.net>

	* ChangeLog: 2004-05-10  Jan Patera <patera@users.sourceforge.net>

		  * libexif: Support of Nikon maker note

2004-05-10 12:29   Jan Patera <patera@users.sourceforge.net>

	* libexif/: exif-data.c, pentax/mnote-pentax-entry.c: 2004-05-10
	  Jan Patera <patera@users.sourceforge.net>

		  * Support of Nikon maker note

2004-05-10 12:28   Jan Patera <patera@users.sourceforge.net>

	* libexif/olympus/: exif-mnote-data-olympus.c,
	  mnote-olympus-entry.c, mnote-olympus-tag.c, mnote-olympus-tag.h:
	  I've extended support of Nikon maker note in the "Olympus" part,
	  where Lutz originally put the first code.  It appears there are
	  at least 3 versions of Nikon mnote: 1) IFD with 0x1B items - was
	  confused w/ Pentax-made mnote 2) 'Nikon',0,1,0,IFD 3)
	  'Nikon',0,2,0,0,0, 8-byte TIFF header, IFD

	  In addition to that, there are 2 sets of tags: a) 'Version 1' is
	  used by cases 1)+2) b) 'Version 2' is used by case 3) A bad thing
	  is that both sets use the same ids.  Furthermore, while v1 uses
	  SHORT values, v2 uses ASCII values containing the actual string
	  representations of the numeric values.  To distinguish v1 & v2
	  tags, MNOTE_NIKON1_TAG_BASE (0x8000) is added to every tag if
	  reading a v1 file - this is done in
	  exif_mnote_data_olympus_load().  Some of the tags are explained
	  here:
	  http://park2.wakwak.com/~tsuruzoh/Computer/Digicams/exif-e.html
	  most of other tags are work (?) of Serge Droz <serge.droz@psi.ch>
	  who submitted the original code enhancing now obsolete libmnote.
	  Meaning of many tags remains unknown.

2004-05-07 14:40   Jan Patera <patera@users.sourceforge.net>

	* ChangeLog: 2004-05-07  Jan Patera <patera@users.sourceforge.net>

		  * libexif/exif-entry.c: fix of EXIF_TAG_COLOR_SPACE,
		    value 9 of EXIF_TAG_FLASH.
		  * libexif/exif-entry.c: Fix of bug #937505 submitted by
	  Hubert
		    Verstraete <hubs@users.sourceforge>: value 0x0058 of
		    EXIF_TAG_FLASH.

2004-05-07 14:37   Jan Patera <patera@users.sourceforge.net>

	* libexif/exif-entry.c: 2004-05-07  Jan Patera
	  <patera@users.sourceforge.net>

	  Fixes of recent changes: 1) EXIF_TAG_COLOR_SPACE moved from list
	  to list2 because of value 0xffff 2)
	  EXIF_TAG_SUBJECT_DISTANCE_RANGE removed from list because its
	  duplicate in list2 was used anyway 3) missing value 0x0009 of
	  EXIF_TAG_FLASH added as "Flash fired, compulsatory flash mode"

	  Fix of bug #937505 submitted by Hubert Verstraete
	  <hubs@users.sourceforge>: 4) value 0x0058 of EXIF_TAG_FLASH added
	  as "Flash did not fire, auto mode, red-eye reduction mode"

2004-05-05 18:02   Jan Patera <patera@users.sourceforge.net>

	* libexif/olympus/exif-mnote-data-olympus.c: || instead of &&
	  caused rejecting all mnotes

2004-05-04 21:27   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c,
	  libexif/olympus/exif-mnote-data-olympus.c,
	  libexif/olympus/mnote-olympus-entry.c,
	  libexif/olympus/mnote-olympus-tag.c,
	  libexif/olympus/mnote-olympus-tag.h:
	  2004-05-04  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/olympus: Make it support Nikon maker notes,
	  too.
		    Code based on work by Serge Droz <serge.droz@psi.ch>.

2004-05-03 20:07   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-entry.c:
	  2004-05-03  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-entry.c (exif_entry_initialize):
		    Added EXIF_TAG_PIXEL_[X,Y]_DIMENSION (thanks to Antonio
	  Scuri
		    <scuri@tecgraf.puc-rio.br>).

2004-05-03 19:01   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-tag.c:
	  2004-05-03  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-tag.c: Hide some functions there that have
	  been
		    requested by Antonio Scuri <scuri@tecgraf.puc-rio.br>.

2004-05-02 20:59   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, configure.in:
	  2004-05-02  Lutz Mueller <lutz@users.sourceforge.net>

		  * configure.in:
	  GETTEXT_PACKAGE=${PACKAGE}-${LIBEXIF_CURRENT}
		    on request of Ilya Konstantinov <future@shiny.co.il>
		    (Debian needs it).

2004-05-02 20:39   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libjpeg/jpeg-marker.h:
	  2004-05-02  Lutz Mueller <lutz@users.sourceforge.net>

		  * libjpeg/jpeg-marker.h: No implicit enum declaration.
	  Seen by
		    Antonio Scuri <scuri@tecgraf.puc-rio.br>.

2004-04-07 00:39   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* libexif/: Makefile.am, exif-utils.h: actually ship our _stdint.h

2004-04-06 19:31   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* Makefile.am, autogen.sh, configure.in, libexif/Makefile.am,
	  libexif/exif-utils.h, m4/Makefile.am, m4/stdint.m4: Create and
	  use _stdint.h

2004-04-06 13:16   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: prepare versions for 0.7.0 release

2004-04-04 09:01   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c:
	  2004-04-04  Lutz Mueller lutz@users.sourceforge.net

		  * libexif/exif-data.c: If we don't know a tag we are
	  going to parse,
		    stop loading. This should fix bug #138238.

2004-04-02 16:10   Jan Patera <patera@users.sourceforge.net>

	* libexif/olympus/exif-mnote-data-olympus.c: Please don't crash
	  whenever calling memset

2004-04-02 16:09   Jan Patera <patera@users.sourceforge.net>

	* libexif/exif-entry.c: Fix of a recently introduced typo:
	  "Stanard" -> "Standard"

2004-04-02 15:59   Jan Patera <patera@users.sourceforge.net>

	* ChangeLog: 2004-04-02  Jan Patera <patera@users.sourceforge.net>

		  * libexif/pentax/exif-mnote-data-pentax.c: correct search
	  for values

2004-04-02 15:55   Jan Patera <patera@users.sourceforge.net>

	* libexif/pentax/mnote-pentax-entry.c: A few changes & fixes of the
	  code compaction dated 2004-03-15: 1) maxlen instead of maxlen-1
	  (it has been decreased by one for that reason) 2)
	  items[i].elem[j] searched while items[i].elem[j].string is not
	  NULL and not index (nothing would have been found) 3)
	  MNOTE_PENTAX_TAG_ISO_SPEED: value of 100: used to get printed as
	  "100", now it was unknown value -> added to items.elem   I am
	  afraid 200 would also have the same problem (I don't have any
	  sample file) -> also added to items.elem 4) items.elem[10] ->
	  items.elem[7]: 7 is enough, less static memory & smaller
	  executable

2004-04-01 20:37   Joerg Hoh <hohjg@users.sourceforge.net>

	* libexif/exif-utils.h: do include inttypes.h not stdint.h

2004-04-01 20:24   Joerg Hoh <hohjg@users.sourceforge.net>

	* libexif/exif-utils.h: - use types of appropriate size if stdint.h
	  is available

2004-03-20 11:24   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* ChangeLog: No gettextize messages, please

2004-03-19 19:57   Joerg Hoh <hohjg@users.sourceforge.net>

	* ChangeLog, libexif/olympus/exif-mnote-data-olympus.c: - Code
	  simplification - sizeof(char) == 1 (according to the C standard)

2004-03-15 23:14   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/pentax/exif-mnote-data-pentax.c:
	  2004-03-16  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/pentax/exif-mnote-data-pentax.c: Another
	  suggestion by
		    Joerg Hoh <joerg@devone.org>.

2004-03-15 21:42   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/pentax/mnote-pentax-entry.c:
	  2004-03-15  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/pentax/mnote-pentax-entry.c: Joerg Hoh
	  <joerg@devone.org>
		    did it again.

2004-03-03 20:45   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-entry.c:
	  2004-03-03  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-entry.c: Patch by Joerg Hoh
	  <joerg@devone.org>,
		    enhanced by myself.

2004-03-03 15:41   Jan Patera <patera@users.sourceforge.net>

	* ChangeLog: 2004-03-03  Jan Patera <patera@users.sourceforge.net>

		  * libexif/exif-entry.c: C-compilability & fix of the
	  2004/03/02 code

2004-03-03 15:38   Jan Patera <patera@users.sourceforge.net>

	* libexif/exif-entry.c: Fixes of changes "2004-03-02  Joerg
	  Hoh<joerg@devone.org>": 1) EXIF_TAG_SUBJECT_DISTANCE_RANGE:
	  entries made global static  to be compilable with C 2) all values
	  of the new code were shifted by one

2004-03-02 18:11   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, configure.in, libexif/exif-entry.c:
	  2004-03-02  Lutz Mueller <lutz@users.sourceforge.net>

		  * configure.in: No version on GETTEXT_PACKAGE. Requested
	  by
		    gernot@bigpond.com.
		  * libexif/exif-entry.c: Some formatting.

	  2004-03-02  Joerg Hoh<joerg@devone.org>

		  * libexif/exif-entry.c: moved redundant code into a
	  static structure

2004-03-01 11:58   Jan Patera <patera@users.sourceforge.net>

	* ChangeLog:	* libexif/pentax/exif-mnote-data-pentax.c: Fixed
	  flipped inequation
		    causing all value requests to be denied as invalid

2004-03-01 11:56   Jan Patera <patera@users.sourceforge.net>

	* libexif/pentax/exif-mnote-data-pentax.c:
	  exif_mnote_data_pentax_get_value: Fixed flipped inequation
	  causing all value requests to be denied as invalid

2004-02-02 15:39   Jan Patera <patera@users.sourceforge.net>

	* ChangeLog: 2004-02-02  Jan Patera <patera@users.sourceforge.net>

		  * libexif/exif-loader.c: propper skipping of
	  JPEG_MARKER_COM when
		    searching for JPEG_MARKER_APP1 with exif data

2004-02-02 15:36   Jan Patera <patera@users.sourceforge.net>

	* libexif/exif-loader.c: propper skipping of JPEG_MARKER_COM when
	  searching for JPEG_MARKER_APP1 with exif data

2004-01-19 21:49   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, contrib/c++/Makefile, contrib/c++/exif.hxx,
	  contrib/c++/exif_module.cxx:
	  2004-01-19  Lutz Mueller <lutz@users.sourceforge.net>

		  * contrib/c++: Files contributed by Hans Meine
	  <hans_meine@gmx.net>.
		    Completely untested.

2004-01-10 19:24   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* Makefile.am, configure.in: undo changes breaking build

2004-01-07 23:36   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, Makefile.am, configure.in, libexif/exif-content.h,
	  libexif/exif-entry.c, libexif/exif-entry.h, test/Makefile.am,
	  test/test-mnote.c, test/test-value.c:
	  2004-01-08  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-entry.c (exif_entry_get_value_brief):
	  merge into
		    (exif_entry_get_value) and remove.
		  * tests/test-mnote.c: Make it compile again.
		  * tests/test-value.c: New.
		  * configure.in: API-changes -> increment version.

2004-01-07 15:21   Jan Patera <patera@users.sourceforge.net>

	* ChangeLog: 2004-01-07  Jan Patera <patera@users.sourceforge.net>

		  Thread-safety, elimination of static variables, fixes of
	  memory
		  corruption (writing beyond provided space), no more
	  memory leaks
		  in mnote, 2 new args of exif_entry_get_value,
		  exif_entry_get_value_brief, exif_mnote_data_get_value.

		  * libexif, libexif/canon, libexif/olympus, libexif/pentax

2004-01-07 15:16   Jan Patera <patera@users.sourceforge.net>

	* libexif/exif-entry.c: EXIF_TAG_COMPONENTS_CONFIGURATION,
	  EXIF_TAG_COPYRIGHT: do not write beyond provided space in val:
	  3arg of every strncat() fixed

2004-01-07 15:12   Jan Patera <patera@users.sourceforge.net>

	* libexif/: exif-content.h, exif-data.c, exif-entry.c,
	  exif-entry.h, exif-mnote-data-priv.h, exif-mnote-data.c,
	  exif-mnote-data.h: 1) Two new arguments (char *val, unsinged int
	  maxlen) added to the following functions and macros:
	  exif_entry_get_value exif_entry_get_value_brief
	  exif_mnote_data_get_value exif_mnote_data_pentax_get_value
	  macros: exif_content_get_value exif_content_get_value_brief

	  The functions return either NULL (in case of error) or val.

	  2) All static variables eliminated.

	  3) memset(val, 0, maxlen); is in all functions, followed by
	  maxlen--;  which ensures all returned strings will always be
	  NULL-terminated.

	  All this should make the library thread-safe.

2004-01-07 15:01   Jan Patera <patera@users.sourceforge.net>

	* libexif/pentax/: exif-mnote-data-pentax.c, mnote-pentax-entry.c,
	  mnote-pentax-entry.h: exif_mnote_data_pentax_get_value(),
	  mnote_pentax_entry_get_value(): 1) 2 new args: val & maxlen 2) no
	  static variables

2004-01-07 14:57   Jan Patera <patera@users.sourceforge.net>

	* libexif/olympus/: exif-mnote-data-olympus.c,
	  mnote-olympus-entry.c, mnote-olympus-entry.h:
	  exif_mnote_data_olympus_get_value(),
	  mnote_olympus_entry_get_value(): 1) 2 new args: val & maxlen 2)
	  no static variables 3) do not duplicate string on return 4)
	  proper NULL-termination of long strings

2004-01-07 14:53   Jan Patera <patera@users.sourceforge.net>

	* libexif/canon/: exif-mnote-data-canon.c, mnote-canon-entry.c,
	  mnote-canon-entry.h: exif_mnote_data_canon_get_value(),
	  mnote_canon_entry_get_value(): 1) 2 new args value & maxlen 2) no
	  static variables 3) does not duplicate string on return

2003-12-09 19:49   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-entry.c,
	  libexif/canon/mnote-canon-entry.c,
	  libexif/olympus/mnote-olympus-entry.c:
	  2003-12-09  Lutz Mueller <lutz@users.sourceforge.net>

		  A couple of fixes by Jan Patera <patera@pictview.com>:

		  * libexif

2003-12-07 23:26   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-entry.c:
	  2003-12-08  Lutz Mueller <lutz@users.sourceforge.net>

		  Suggestion by Jan Patera <patera@pictview.com>:

		  * libexif/exif-entry.c: Do not read beyond e->size.

2003-12-01 18:27   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/olympus/mnote-olympus-entry.c:
	  2003-12-01  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/olympus/mnote-olympus-entry.c: Now that
	  EXIF_FORMAT_SSHORT
		    is in exif-format.h, we do not need to define it any
	  longer.

2003-12-01 18:09   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c, libexif/exif-entry.c,
	  libexif/exif-format.c, libexif/exif-format.h,
	  libexif/olympus/exif-mnote-data-olympus.c,
	  libexif/olympus/mnote-olympus-entry.c:
	  2003-12-01  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif: Various improvements by Jan Patera
	  <patera@pictview.com>.

2003-10-30 22:10   Lutz Mueller <lutz@users.sourceforge.net>

	* libexif/: olympus/exif-mnote-data-olympus.c,
	  pentax/exif-mnote-data-pentax.c: [no log message]

2003-10-30 21:26   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-loader.c:
	  2003-10-30  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-loader.c: Handle APP13.

2003-10-30 21:10   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-loader.c:
	  2003-10-30  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-loader.c: Fix APP0-bug. Patch by Jan
	  Patera
		    <patera@pictview.com>.

2003-10-30 17:43   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c:
	  2003-10-30  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-data.c: Add explicit typecasts to
	  ExifShort.
		    Suggested by Jan Patera <patera@pictview.com>.

2003-10-28 22:50   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/olympus/exif-mnote-data-olympus.c,
	  libexif/olympus/mnote-olympus-entry.c:
	  2003-10-28  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/olympus: Fix. I've got one Olympus file and
	  this gets
		    parsed now.

2003-10-28 18:53   Lutz Mueller <lutz@users.sourceforge.net>

	* libjpeg/jpeg-data.c:
	  2003-10-28  Lutz Mueller <lutz@users.sourceforge.net>

		  * libjpeg/jpeg-data.c: Do not depend on unistd.h.
	  Reported by
		    Jan Patera <patera@pictview.com>.

2003-10-28 18:49   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libjpeg/jpeg-data.c:
	  2003-10-28  Lutz Mueller <lutz@users.sourceforge.net>

		  * libjpeg/jpeg-data.c: Do not depend on unistd.h.
	  Reported by
		    Jan Patera <patera@pictview.com>.

2003-10-27 22:46   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* po/.cvsignore: no relative files in .cvsignore

2003-10-27 22:46   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* libjpeg/Makefile.am, test/Makefile.am: use $(top_builddir)
	  instead of .../

2003-10-27 22:34   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c, libexif/exif-mnote-data-priv.h,
	  libexif/canon/exif-mnote-data-canon.c,
	  libexif/canon/mnote-canon-entry.c, test/test-mnote.c:
	  2003-10-27  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif: Canon maker notes seem to work now (both
	  loading and
		    saving).

2003-10-27 20:07   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c, libexif/exif-mnote-data.c,
	  libexif/canon/exif-mnote-data-canon.c,
	  libexif/canon/mnote-canon-entry.c, test/test-mnote.c:
	  2003-10-27  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif: The code now compiles and loads the canon
	  maker note,
		    but crashes if you query its contents.

2003-10-27 17:32   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* Makefile.am: intl subdir gets added by gettextize

2003-10-27 17:31   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: po/Makefile.in gets added by gettextize

2003-10-26 22:30   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/Makefile.am, libexif/exif-content.c,
	  libexif/exif-data.c, libexif/exif-mnote-data-priv.h,
	  libexif/exif-mnote-data.c, libexif/canon/exif-mnote-data-canon.c,
	  libexif/canon/exif-mnote-data-canon.h,
	  libexif/olympus/exif-mnote-data-olympus.c,
	  libexif/olympus/exif-mnote-data-olympus.h,
	  libexif/pentax/exif-mnote-data-pentax.c,
	  libexif/pentax/exif-mnote-data-pentax.h, test/Makefile.am,
	  test/test-mnote.c:
	  2003-10-26  Lutz Mueller <lutz@users.sourceforge.net>

		  * test/test-mnote.c: New.
		  * libexif: The code now both compiles and doesn't crash,
		    but at least the canon maker note still doesn't get
	  parsed.

2003-10-26 10:24   Lutz Mueller <lutz@users.sourceforge.net>

	* po/.cvsignore: [no log message]

2003-10-26 10:18   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, Makefile.am, configure.in:
	  2003-10-26  Lutz Mueller <lutz@users.sourceforge.net>

		  * configure.in
		  * Makefile.am: Remove PO_DIRS. Otherwise, automake
	  complains about
		    po and intl not being in SUBDIRS

2003-10-26 10:11   Lutz Mueller <lutz@users.sourceforge.net>

	* libexif/Makefile.am, libexif/canon/Makefile.am,
	  libexif/olympus/Makefile.am, libexif/pentax/Makefile.am,
	  po/POTFILES.in, po/de.po, po/es.po, po/fr.po:
	  2003-10-26  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/olympus
		  * libexif/canon
		  * libexif/pentax: Merge libmnote with libexif. The code
	  compiles but
		    is completely untested.

2003-10-26 10:06   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, README, configure.in, libexif/Makefile.am,
	  libexif/exif-data.c, libexif/exif-data.h,
	  libexif/exif-mnote-data-priv.h, libexif/exif-mnote-data.c,
	  libexif/exif-mnote-data.h, libexif/canon/.cvsignore,
	  libexif/canon/Makefile.am, libexif/canon/exif-mnote-data-canon.c,
	  libexif/canon/exif-mnote-data-canon.h,
	  libexif/canon/mnote-canon-entry.c,
	  libexif/canon/mnote-canon-entry.h,
	  libexif/canon/mnote-canon-tag.c, libexif/canon/mnote-canon-tag.h,
	  libexif/olympus/.cvsignore, libexif/olympus/Makefile.am,
	  libexif/olympus/exif-mnote-data-olympus.c,
	  libexif/olympus/exif-mnote-data-olympus.h,
	  libexif/olympus/mnote-olympus-entry.c,
	  libexif/olympus/mnote-olympus-entry.h,
	  libexif/olympus/mnote-olympus-tag.c,
	  libexif/olympus/mnote-olympus-tag.h, libexif/pentax/.cvsignore,
	  libexif/pentax/Makefile.am,
	  libexif/pentax/exif-mnote-data-pentax.c,
	  libexif/pentax/exif-mnote-data-pentax.h,
	  libexif/pentax/mnote-pentax-entry.c,
	  libexif/pentax/mnote-pentax-entry.h,
	  libexif/pentax/mnote-pentax-tag.c,
	  libexif/pentax/mnote-pentax-tag.h:
	  2003-10-26  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/olympus
		  * libexif/canon
		  * libexif/pentax: Merge libmnote with libexif. The code
	  compiles but
		    is completely untested.

2003-10-15 18:04   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif.spec.in:
	  2003-10-15  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif.spec.in: Patches by Peter Bieringer
	  <pb@bieringer.de>.

2003-10-08 18:08   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c:
	  2003-10-08  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-data.c: Patch by Jan Patera
	  <patera@pictview.com>.

2003-10-08 16:40   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-entry.c:
	  2003-10-08  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-entry.c: Patch by Jan Patera
	  <patera@pictview.com>.

2003-09-28 18:00   Lutz Mueller <lutz@users.sourceforge.net>

	* libjpeg/jpeg-data.c: [no log message]

2003-09-28 17:35   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, Makefile.am, configure.in:
	  2003-09-28  Lutz Mueller <lutz@users.sourceforge.net>

		  * Makefile.am
		  * configure.in: Patch #813420 by Chris Meyer
	  <cmeyer@mac.com>.

2003-09-17 11:31   Arnaud Launay <asl@users.sourceforge.net>

	* libexif/exif-content.c, libexif/exif-data.c,
	  libexif/exif-entry.c, libjpeg/jpeg-data.c: Drop EOL blanks and //
	  comments

2003-09-05 14:36   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libjpeg/jpeg-data.c:
	  2003-09-05  Lutz Mueller <lutz@users.sourceforge.net>

		  * libjpeg/jpeg-data.c: Fix memory leak (discovered by
		    Ralph Heidelberg <RHeidelberg@Pinnaclesys.com)

2003-08-25 04:44   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c:
	  2003-08-25  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-data.c: Fill unneeded bytes with 0.
	  Suggestion by
		    Roberto Costa <roberto.costa@ensta.org>.

2003-08-24 17:40   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* Makefile.am: working towards working build

2003-08-24 17:33   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* Makefile.am: po

2003-08-24 17:30   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* Makefile.am, configure.in: fix build system

2003-08-06 19:47   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-entry.c, libexif/exif-tag.c,
	  libexif/exif-tag.h, libexif/exif-utils.h:
	  2003-08-06  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-entry.c (exif_entry_initialize): Support
	  some more
		    tags.
		  * libexif/exif-tag.[c,h]: Cosmetic fix.
		  * libexif/exif-utils.h: Do not let above cosmetic fix
	  break the API.

2003-08-04 19:51   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, Makefile.am, configure.in, po/de.po, po/es.po,
	  po/fr.po:
	  2003-08-04  Lutz Mueller <lutz@users.sourceforge.net>

		  * po/*.po: Updated.
		  * Makefile.am: Add m4 and intl to SUBDIRS. automake
	  complains
		    otherwise.
		  * configure.in: Add m4/Makefile. make distcheck complains
	  otherwise.
		    Version 0.5.12

2003-07-30 20:39   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, configure.in:
	  2003-07-30  Lutz Mueller <lutz@users.sourceforge.net>

		  * configure.in: Version 0.5.11

2003-07-29 22:45   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c:
	  2003-07-30  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-data.c: Patch by Torgeir Hansen
	  <torgeir@trenger.ro>
		    to prevent endless loops.

2003-07-29 22:19   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-entry.c:
	  2003-07-30  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-entry.c: Don't crash if entries are
	  totally insane.

2003-07-20 19:27   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, configure.in:
	  2003-07-20  Lutz Mueller <lutz@users.sourceforge.net>

		  * configure.in: Version 0.5.10

2003-04-30 23:51   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-entry.c:
	  2003-05-01  Lutz Mueller <lutz@users.sourceforge.net>

		  Suggestion by Gernot Jander <gernot@bigpond.com>:

		  * libexif/exif-entry.c: Ignore "   " in
	  EXIF_TAG_COPYRIGHT.

2003-04-29 20:13   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-loader.c:
	  2003-04-29  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-loader.c: Set ref_count to 1 on
	  exif_loader_new.

2003-04-29 04:57   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-entry.c:
	  2003-04-29  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-entry.c: Another attempt to fix
	  EXIF_TAG_COPYRIGHT.

2003-04-28 18:34   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-entry.c:
	  2003-04-28  Lutz Mueller <lutz@users.sourceforge.net>

		  Bug discovered by Jay Love <jslove@users.sourceforge.net>

		  * libexif/exif-entry.c: Don't crash if EXIF_TAG_COPYRIGHT
	  is NULL.

2003-04-28 18:22   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-entry.c, libexif/exif-format.c,
	  libexif/exif-tag.c, libexif/i18n.h, po/de.UTF-8, po/es.UTF-8,
	  po/fr.UTF-8:
	  2003-04-28  Lutz Mueller <lutz@users.sourceforge.net>

		  Patch by Gernot Jander <gernot@bigpond.com>:

		  * libexif/exif-tag.c: Add call to bind_textdomain_codeset
		  * po/*.UTF-8: New.

2003-04-13 20:48   Lutz Mueller <lutz@users.sourceforge.net>

	* libjpeg/jpeg-data.c:
	  2003-03-13  Lutz Mueller <lutz@users.sourceforge.net>

		  * libjpeg/jpeg-data.c: Aravind
	  <aravinds1@users.sourceforge.net>
		    found a bug there.

2003-04-13 20:45   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libjpeg/jpeg-data.c:
	  2003-03-13  Lutz Mueller <lutz@users.sourceforge.net>

		  * libjpeg/jpeg-data.c: Aravind
	  <aravinds1@users.sourceforge.net>
		    found a bug there.

2003-03-22 21:09   Arnaud Launay <asl@users.sourceforge.net>

	* autogen.sh: adapt autogen to gettext 0.12

2003-03-18 07:13   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, configure.in, libexif/exif-data.c,
	  libexif/exif-loader.c:
	  2003-03-18  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-data.c (exif_data_new_from_file): Use the
	  new
		    ExifLoader. It seems to work.

2003-03-17 20:38   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, po/de.po, po/es.po, po/fr.po, libexif/Makefile.am,
	  test/test-mem.c, libexif/exif-loader.c, libexif/exif-loader.h:
	  2003-03-17  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-loader.[c,h]: New. Mostly written by Jens
	  Finke
		    <jens@triq.net>. Not tested at all.

2003-02-11 21:07   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-tag.c:
	  2003-02-11  Lutz Mueller <lutz@users.sourceforge.net>

		  * libexif/exif-tag.c: Fix typo.

2003-02-03 16:20   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* autogen.sh: added overdue note about gettextize and pressing
	  Return

2003-01-22 06:34   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-entry.c:
	  2003-01-22  Lutz Mller  <lutz@users.sourceforge.net>

		  * libexif/exif-entry.c (exif_entry_get_value): Support
	  USER_COMMENT.

2003-01-03 14:06   Arnaud Launay <asl@users.sourceforge.net>

	* Makefile.am, libexif.spec.in: Patch from Daniel Resare
	  <noa@metamatrix.se>: - corrects Makefile.am for empty
	  CONFIG_CLEAN_FILES - new spec file, without version dep

2002-12-31 10:11   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, README:
	  2002-12-31  Lutz Müller <lutz@users.sourceforge.net>

		  * README: Some information by Sander van Geloven
		    <svgeloven@zonnet.nl>.

2002-12-15 11:41   Arnaud Launay <asl@users.sourceforge.net>

	* COPYING, aolserver/nsexif.c, libexif/exif-byte-order.c,
	  libexif/exif-byte-order.h, libexif/exif-content.c,
	  libexif/exif-content.h, libexif/exif-data.c, libexif/exif-data.h,
	  libexif/exif-entry.c, libexif/exif-entry.h,
	  libexif/exif-format.c, libexif/exif-format.h, libexif/exif-ifd.c,
	  libexif/exif-ifd.h, libexif/exif-result.h, libexif/exif-tag.c,
	  libexif/exif-tag.h, libexif/exif-utils.c, libexif/exif-utils.h,
	  libexif/exif.c, libexif/exif.h, libexif/i18n.h,
	  libjpeg/jpeg-data.c, libjpeg/jpeg-data.h, libjpeg/jpeg-marker.c,
	  libjpeg/jpeg-marker.h, po/de.po, po/es.po, po/fr.po,
	  test/test-mem.c: replace (c) and (C) by ©

2002-12-12 08:02   Arnaud Launay <asl@users.sourceforge.net>

	* configure.in: i18n fix

2002-12-11 21:37   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-entry.c:
	  2002-12-11  Lutz Müller <lutz@users.sourceforge.net>

		  * libexif/exif-entry.c (exif_entry_initialize): Fix last
	  commit.

2002-12-11 20:23   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, configure.in, libexif/exif-entry.c:
	  2002-12-11  Lutz Müller <lutz@users.sourceforge.net>

		  * libexif/exif-entry.c (exif_entry_initialize): Support
	  USER_COMMENT.
		  * configure.in: Version 0.5.9

2002-12-09 01:41   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, README:
	  2002-12-09  Lutz Müller <lutz@users.sourceforge.net>

		  * README: New frontend 'thirdeye'.

2002-12-07 05:58   Arnaud Launay <asl@users.sourceforge.net>

	* Makefile.am, configure.in: Fuck Lütz gently with a chainsaw ('n
	  yes, I'm drunk)

2002-12-06 23:26   Lutz Mueller <lutz@users.sourceforge.net>

	* Makefile.am: gettext is driving me crazy.

2002-12-06 23:23   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, Makefile.am, configure.in:
	  2002-12-07  Lutz Müller <lutz@users.sourceforge.net>

		  * configure.in: Version 0.5.8

2002-12-03 07:48   Arnaud Launay <asl@users.sourceforge.net>

	* po/: POTFILES.in, de.po, es.po, fr.po: reflects Lutz changes to
	  po files

2002-12-02 22:29   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/Makefile.am:
	  2002-12-02  Lutz Müller <lutz@users.sourceforge.net>

		  * libexif/Makefile.am: Forgot to remove the some subdirs.

2002-12-02 22:22   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, configure.in:
	  2002-12-02  Lutz Müller <lutz@users.sourceforge.net>

		  * configure.in: Remove some Makefiles

2002-12-02 22:20   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, configure.in:
	  2002-12-02  Lutz Müller <lutz@users.sourceforge.net>

		  * configure.in: Reflect removal of exif-note.h in
	  version.

2002-12-02 22:17   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, Makefile.am, README, libexif/Makefile.am,
	  libexif/exif-note.c, libexif/exif-note.h,
	  libexif/canon/.cvsignore, libexif/canon/Makefile.am,
	  libexif/canon/exif-canon-entry.c,
	  libexif/canon/exif-canon-entry.h,
	  libexif/canon/exif-canon-note.c, libexif/canon/exif-canon-note.h,
	  libexif/canon/exif-canon-tag.c, libexif/canon/exif-canon-tag.h,
	  libexif/fuji/.cvsignore, libexif/fuji/Makefile.am,
	  libexif/fuji/exif-fuji-entry.c, libexif/fuji/exif-fuji-entry.h,
	  libexif/fuji/exif-fuji-note.c, libexif/fuji/exif-fuji-note.h,
	  libexif/fuji/exif-fuji-tag.c, libexif/fuji/exif-fuji-tag.h,
	  libexif/hp/.cvsignore, libexif/hp/Makefile.am,
	  libexif/hp/exif-hp-note.c, libexif/hp/exif-hp-note.h,
	  libexif/olympus/.cvsignore, libexif/olympus/Makefile.am,
	  libexif/olympus/exif-olympus-entry.c,
	  libexif/olympus/exif-olympus-entry.h,
	  libexif/olympus/exif-olympus-note.c,
	  libexif/olympus/exif-olympus-note.h,
	  libexif/olympus/exif-olympus-tag.c,
	  libexif/olympus/exif-olympus-tag.h:
	  2002-12-02  Lutz Müller <lutz@users.sourceforge.net>

		  * libexif/exif-note.[c,h]: Removed. Now in libmnote.

2002-12-01 20:19   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: release

2002-12-01 19:58   Arnaud Launay <asl@users.sourceforge.net>

	* po/.cvsignore: add ChangeLog

2002-12-01 19:45   Arnaud Launay <asl@users.sourceforge.net>

	* po/fr.po: corrects fuzzy

2002-12-01 19:42   Arnaud Launay <asl@users.sourceforge.net>

	* po/: de.po, es.po, fr.po: update-po

2002-11-30 08:48   Arnaud Launay <asl@users.sourceforge.net>

	* autogen.sh: Some autom4te versions don't use their number

2002-11-30 00:17   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: 0.5.7-rc4

2002-11-27 08:01   Arnaud Launay <asl@users.sourceforge.net>

	* po/fr.po: Update. The remaining fuzzy and untranslated msg are
	  technical one I don't know how to translate cleanly.

2002-11-26 19:31   Arnaud Launay <asl@users.sourceforge.net>

	* aolserver/Makefile, aolserver/nsexif.c, libexif/exif.c,
	  libexif/exif.h, libexif/canon/exif-canon-note.c: remove Id tag

2002-11-22 23:56   Arnaud Launay <asl@users.sourceforge.net>

	* configure.in: no branches, ooops

2002-11-22 23:11   Arnaud Launay <asl@users.sourceforge.net>

	* configure.in: HEAD is a dev release

2002-11-22 17:19   Arnaud Launay <asl@users.sourceforge.net>

	* aolserver/nsexif.c, libexif/Makefile.am,
	  libexif/exif-byte-order.c, libexif/exif-content.c,
	  libexif/exif-data.c, libexif/exif-entry.c, libexif/exif-format.c,
	  libexif/exif-i18n.h, libexif/exif-ifd.c, libexif/exif-note.c,
	  libexif/exif-tag.c, libexif/exif-utils.c, libexif/i18n.h,
	  libexif/canon/exif-canon-entry.c,
	  libexif/canon/exif-canon-note.c, libexif/canon/exif-canon-tag.c,
	  libexif/fuji/exif-fuji-entry.c, libexif/fuji/exif-fuji-note.c,
	  libexif/fuji/exif-fuji-tag.c, libexif/hp/exif-hp-note.c,
	  libexif/olympus/exif-olympus-entry.c,
	  libexif/olympus/exif-olympus-note.c,
	  libexif/olympus/exif-olympus-tag.c, libjpeg/jpeg-data.c,
	  libjpeg/jpeg-marker.c, test/test-mem.c, test/test-tree.c: - clean
	  the headers of gettext macros - generic clean of the headers: use
	  "" instead of <> to first   look at local sources, not system
	  ones - rename exif-i18n.h by generic i18n.h

2002-11-22 16:47   Arnaud Launay <asl@users.sourceforge.net>

	* libexif/canon/Makefile.am, libexif/Makefile.am,
	  libexif/fuji/Makefile.am, libexif/hp/Makefile.am,
	  libexif/olympus/Makefile.am, libjpeg/Makefile.am,
	  test/Makefile.am: Add -I$(top_srcdir)/libexif

2002-11-22 15:20   Arnaud Launay <asl@users.sourceforge.net>

	* libexif/: exif-byte-order.c, exif-entry.c, exif-format.c,
	  exif-i18n.h, exif-ifd.c, exif-tag.c, canon/exif-canon-tag.c,
	  fuji/exif-fuji-tag.c, olympus/exif-olympus-entry.c,
	  olympus/exif-olympus-tag.c: PACKAGE -> GETTEXT_PACKAGE

2002-11-22 12:45   Arnaud Launay <asl@users.sourceforge.net>

	* configure.in, po/fr.po: Add french translation, po incomplete as
	  of now (technical terms)

2002-11-22 08:56   Arnaud Launay <asl@users.sourceforge.net>

	* po/: POTFILES.in, de.po, es.po: add missing files

2002-11-22 07:46   Arnaud Launay <asl@users.sourceforge.net>

	* libexif/exif-tag.c: string fixes

2002-11-22 01:24   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* libexif/exif-entry.c: converging against working gettext stuff

2002-11-22 00:34   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* libexif/: exif-tag.c, exif-format.c: V for victory! use correct
	  gettext domain

2002-11-21 19:44   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: GETTEXT hacks, RC3

2002-11-20 18:02   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: argl. another typo

2002-11-20 18:00   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: fscking typo.

2002-11-20 17:59   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: really professional hack

2002-11-20 17:54   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: still a hack, but this works.

2002-11-20 17:49   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: evil hacks

2002-11-20 16:54   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: RC2

2002-11-18 14:57   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: RC fever: RC1

2002-11-18 14:56   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: GETTEXT_PACKAGE='${PACKAGE}${LIBEXIF_CURRENT}'
	  AC_SUBST(GETTEXT_PACKAGE)

2002-11-17 17:17   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* Makefile.am: removed misguided bzip2 tarball creation

2002-11-15 12:00   Rod Whitby <rwhitby@users.sourceforge.net>

	* libexif/exif-format.c: Fixed an incorrect string representation
	  of SLong.

2002-11-01 19:59   Arnaud Launay <asl@users.sourceforge.net>

	* Makefile.am: tar short options to long ones

2002-11-01 19:56   Arnaud Launay <asl@users.sourceforge.net>

	* Makefile.am: s/$(TAR)/tar/

2002-10-30 15:53   Arnaud Launay <asl@users.sourceforge.net>

	* autogen.sh: really cleans what comes out automake

2002-10-27 22:04   Arnaud Launay <asl@users.sourceforge.net>

	* test/Makefile.am: use $(INTLLIBS), suggested by Lutz

2002-10-27 11:14   Arnaud Launay <asl@users.sourceforge.net>

	* test/Makefile.am: add locally compiled libintl to ld

2002-10-27 10:45   Arnaud Launay <asl@users.sourceforge.net>

	* autogen.sh: don't use copy, use symlinks

2002-10-05 18:11   Arnaud Launay <asl@users.sourceforge.net>

	* autogen.sh: Add cleanup stuff for gettextize modified files

2002-09-30 12:26   Arnaud Launay <asl@users.sourceforge.net>

	* autogen.sh: gettext 0.10 does not add automagically the intl/
	  directory

2002-09-30 07:16   Arnaud Launay <asl@users.sourceforge.net>

	* autogen.sh: Fix configure.in automodifications

2002-09-16 20:58   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-utils.c:
	  2002-09-16  Lutz Müller <lutz@users.sourceforge.net>

		  * libexif: Some fixes for Windows (Visual C++) by
		    Andres <aplaza@smalcamera.com>

2002-09-16 18:24   Arnaud Launay <asl@users.sourceforge.net>

	* Makefile.am, configure.in, po/ChangeLog, po/Makevars: Lutz is
	  trying to kill the cvs :-) (gettext changes)

2002-09-15 22:04   Lutz Mueller <lutz@users.sourceforge.net>

	* po/de.po: [no log message]

2002-09-15 21:59   Lutz Mueller <lutz@users.sourceforge.net>

	* Makefile.am, configure.in, po/ChangeLog, po/Makevars: 2002-09-15
	  Lutz Müller <lutz@users.sourceforge.net>

		  * configure.in: IRIS fixes by Andrea Suatoni
		    <a.suatoni@telefonica.net>

2002-09-15 21:58   Lutz Mueller <lutz@users.sourceforge.net>

	* .cvsignore, ChangeLog, configure.in:
	  2002-09-15  Lutz Müller <lutz@users.sourceforge.net>

		  * configure.in: IRIS fixes by Andrea Suatoni
		    <a.suatoni@telefonica.net>

2002-09-15 13:19   Arnaud Launay <asl@users.sourceforge.net>

	* libexif/: Makefile.am, canon/Makefile.am, fuji/Makefile.am,
	  olympus/Makefile.am: add intl directory to includes search

2002-09-15 10:20   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, configure.in, po/es.po:
	  2002-09-15  Lutz Müller <lutz@users.sourceforge.net>

		  * configure.in:
		  * po/es.po: Spanish translation by Fabian Mandelbaum
		    <fabman@2vias.com.ar>

2002-09-13 15:39   Arnaud Launay <asl@users.sourceforge.net>

	* autogen.sh: - update autogen to match gphoto2's one - i10n fixes
	  for configure.in

2002-09-12 18:34   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* autogen.sh: forgot libtoolize

2002-09-12 18:03   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in: fscking gettext!!!!

2002-09-12 17:50   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* po/de.po: removed default values

2002-09-12 17:39   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* po/de.po: fixing around

2002-09-12 17:34   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* po/de.po: corrected missing CHARSET decl

2002-09-12 17:27   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* autogen.sh: check for correct file

2002-09-12 17:20   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* Makefile.am, configure.in: intl dir is added automatically

2002-09-12 17:19   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* autogen.sh: stole autogen.sh from gtkam

2002-08-30 07:05   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c:
	  2002-08-30  Lutz Müller <lutz@users.sourceforge.net>

		  * libexif/exif-data.c: Some cleanup.

2002-08-29 21:47   Lutz Mueller <lutz@users.sourceforge.net>

	* libexif/exif-data.c: [no log message]

2002-08-29 21:47   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, configure.in, libexif/exif-data.c:
	  2002-08-29  Lutz Müller <lutz@users.sourceforge.net>

		  Renchi Raju <renchi@pooh.tam.uiuc.edu> found another bug
	  in

		  * libexif/exif-data.c: Correctly save the data.
		  * configure.in: Version 0.5.6.

2002-08-29 21:04   Lutz Mueller <lutz@users.sourceforge.net>

	* libexif/exif-data.c:
	  2002-08-29  Lutz Müller <lutz@users.sourceforge.net>

		  Jason Sodergren <jason@taiga.com> found a lot of bugs in

		  * libexif/exif-data.c: Correctly save the data.
		  * configure.in: Version 0.5.5.

2002-08-29 20:59   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, configure.in, libexif/exif-data.c:
	  2002-08-29  Lutz Müller <lutz@users.sourceforge.net>

		  Jason Sodergren <jason@taiga.com> found a lot of bugs in

		  * libexif/exif-data.c: Correctly save the data.
		  * configure.in: Version 0.5.5.

2002-08-29 16:52   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/canon/exif-canon-tag.h,
	  libexif/fuji/exif-fuji-tag.h, libexif/olympus/exif-olympus-tag.h:

	  2002-08-29  Lutz Müller <lutz@users.sourceforge.net>

		  Another fixes related to #564019:

		  * libexif: Make code conform to ISO C standard, section
	  6.5.2.3.

2002-08-29 09:18   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c:
	  2002-08-29  Lutz Müller <lutz@users.sourceforge.net>

		  Bug reported by Jason Sodergren <jason@taiga.com>:

		  * libexif/exif-data.c: EXIF_IFD_1 -> EXIF_IFD_0.

2002-08-02 14:47   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* configure.in, ChangeLog: distinguish CVS version number from
	  release version

2002-07-25 19:19   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* libexif.spec.in: removed Packager: header - makes no sense in
	  software distribution

2002-07-25 15:51   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, configure.in, libexif/Makefile.am,
	  libexif/exif-data.c, libexif/exif-data.h, libexif/exif-entry.c,
	  libexif/exif-ifd.c, libexif/exif-ifd.h, po/de.po,
	  test/test-mem.c:
	  2002-07-25  Lutz Müller <lutz@users.sourceforge.net>

		  * libexif/exif-ifd.[c,h]: New.
		  * libexif/exif-data.h: Introduce an array of
	  ExifContents. This
		    doesn't break binary compatibility, but it breaks
	  compilation.
		    Do something like "%s/->ifd_0/->ifd[EXIF_IFD_0]" in
	  your source
		    code to make it compile again.
		  * configure.in: Version 0.5.4.

2002-07-25 08:23   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-byte-order.h, libexif/exif-format.h,
	  libexif/exif-result.h, libexif/exif-tag.h:
	  2002-07-25  Lutz Müller <lutz@users.sourceforge.net>

		  Patch by anonymous user:

		  * libexif/exif-[byte-order,format,result,tag].h: Make
	  code comply with
		    ISO C standard, section 6.5.2.3.

2002-07-25 08:13   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c:
	  2002-07-25  Lutz Müller <lutz@users.sourceforge.net>

		  Patch by Takuro Ashie <makeinu@users.sourceforge.net>:

		  * libexif/exif-data.c: Plug memory leak.

2002-07-10 14:46   Lutz Mueller <lutz@users.sourceforge.net>

	* libexif/exif-data.c:
	  2002-07-10  Lutz Müller <lutz@users.sourceforge.net>

		  Bug spotted by Andres <aplaza@smalcamera.com>:

		  * libexif/exif-data.c: Save the
	  EXIF_TAG_INTEROPERABILITY_IFD_POINTER
		    in ifd_exif, not in ifd0.

2002-07-10 14:37   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c:
	  2002-07-10  Lutz Müller <lutz@users.sourceforge.net>

		  Bug spotted by Andres <aplaza@smalcamera.com>:

		  * libexif/exif-data.c: Save the
	  EXIF_TAG_INTEROPERABILITY_IFD_POINTER
		    in ifd_exif, not in ifd0.

2002-07-08 20:33   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* autogen.sh: added libtoolize and

2002-06-26 17:17   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-entry.c, libexif/exif-format.h,
	  libexif/exif-note.c, libexif/canon/exif-canon-tag.h,
	  libexif/fuji/exif-fuji-tag.h, libexif/olympus/exif-olympus-tag.h,
	  libjpeg/jpeg-marker.h: 2002-06-26  Lutz Müller
	  <lutz@users.sourceforge.net>

		  Patch by Jos van den Oever <oever@fenk.wau.nl>: Make
	  libexif c++
		  friendly.

2002-06-14 19:48   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, configure.in, libexif/Makefile.am: 2002-06-14  Lutz
	  Müller <lutz@users.sourceforge.net>

		  * configure.in: Correct -version-info.

2002-06-11 06:41   Lutz Mueller <lutz@users.sourceforge.net>

	* libexif/hp/exif-hp-note.c: [no log message]

2002-06-11 05:54   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, configure.in, libexif/Makefile.am: 2002-06-11  Lutz
	  Müller <lutz@users.sourceforge.net>

		  * configure.in: Version 0.5.3

2002-06-10 17:54   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, configure.in, libexif/hp/Makefile.am, po/de.po:
	  2002-06-10  Lutz Müller <lutz@users.sourceforge.net>

		  * configure.in: Version 0.5.2

	  2002-06-10  Lutz Müller <lutz@users.sourceforge.net>

		  * configure.in: We need autoconf > 2.50.

2002-06-10 13:07   Lutz Mueller <lutz@users.sourceforge.net>

	* configure.in, libexif/Makefile.am, libexif/exif-entry.c,
	  libexif/exif-format.c, libexif/exif-tag.c, libexif/hp/.cvsignore,
	  libexif/hp/Makefile.am, libexif/hp/exif-hp-note.c,
	  libexif/hp/exif-hp-note.h, po/POTFILES.in, po/de.po: [no log
	  message]

2002-06-09 10:06   Lutz Mueller <lutz@users.sourceforge.net>

	* .cvsignore, po/.cvsignore: [no log message]

2002-06-09 10:05   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, Makefile.am, autogen.sh, configure.in,
	  libexif/Makefile.am, libexif/exif-entry.c, libexif/exif-tag.c,
	  po/ChangeLog, po/POTFILES.in, po/de.po: 2002-06-09  Lutz Müller
	  <lutz@users.sourceforge.net>

		  Internationalization.

2002-06-08 20:54   Lutz Mueller <lutz@users.sourceforge.net>

	* libjpeg/: jpeg-data.c, jpeg-data.h: [no log message]

2002-06-08 17:22   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c: 2002-06-08  Lutz Müller
	  <lutz@users.sourceforge.net>

		  Patch by Guido Ostkamp <guido.ostkamp@t-online.de>

		  * libexif/exif-data.c: Increment offset by 12.

2002-06-06 20:45   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-entry.c: 2002-06-06  Lutz Müller
	  <lutz@users.sourceforge.net>

		  Bug spotted by Andres <aplaza@smalcamera.com>:

		  * exif-entry.c: Fix typo.

2002-06-05 21:41   Lutz Mueller <lutz@users.sourceforge.net>

	* COPYING, ChangeLog: 2002-06-05  Lutz Müller
	  <lutz@users.sourceforge.net>

		  * COPYING: Check the text of the LGPL in, because
	  otherwise,
		    automake --add-missing would use the text of the GPL.

2002-05-01 08:20   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-entry.c: 2002-05-01  Lutz Müller
	  <lutz@users.sourceforge.net>

		  Patch by Arnaud Rouanet <rouanet@labri.fr>:

		  * libexif/exif-entry.c (exif_entry_get_value): Fix typo.

2002-04-30 14:55   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-entry.c: 2002-04-30  Lutz Müller
	  <lutz@users.sourceforge.net>

		  Patch by Arnaud Rouanet <rouanet@labri.fr>:

		  * libexif/exif-entry.c (exif_entry_get_value): Support
	  version 2.2.

2002-04-18 22:43   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-byte-order.h, libexif/exif-content.h,
	  libexif/exif-data.h, libexif/exif-entry.h, libexif/exif-format.h,
	  libexif/exif-note.h, libexif/exif-result.h, libexif/exif-tag.h,
	  libexif/exif-utils.h: 2002-04-18  Lutz Müller
	  <lutz@users.sourceforge.net>

		  Patch by Marcus Meissner <marcus@jet.franken.de>:

		  * libexif/*.h: Make header files c++ friendly.

2002-04-16 08:11   Lutz Mueller <lutz@users.sourceforge.net>

	* libexif/exif-content.h, libexif/exif-entry.c,
	  libexif/exif-entry.h, README: 2002-04-16  Lutz Müller
	  <lutz@users.sourceforge.net>

		  Enhancements by Semyon Sosin <sem@best.com>, adapted:

		  * libexif/exif-content.h: Add some convenience defines.
		  * libexif/exif-entry.[c,h] (exif_entry_get_value_brief):
	  New.
		  * README: Add a note about libjpeg.

2002-04-15 08:55   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c, libexif/exif-entry.c: 2002-04-15
	  Lutz Müller <lutz@users.sourceforge.net>

		  Enhancements by Semyon Sosin <sem@best.com>, adapted:

		  * libexif/exif-entry.c (exif_entry_get_value): More tags
	  covered.
		  * libexif/exif-data.c (exif_data_new_from_file): Don't
	  read the whole
		    file into memory.

2002-04-04 18:33   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* ChangeLog: Makefile.am: added .tar.bz2 packaging to "make dist"

2002-04-04 18:20   Hans Ulrich Niedermann <gp@n-dimensional.de>

	* Makefile.am: added .tar.bz2 packaging to "make dist"

2002-03-01 13:02   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, Makefile.am, configure.in, libexif.spec.in: 2002-03-01
	   Lutz Müller <lutz@users.sourceforge.net>

		  Patch by Mark Pulford <mark@kyne.com.au>:

		  * libexif.spec.in: New
		  * configure.in:
		  * Makefile.am: Create libexif.spec

2002-02-28 21:07   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c: 2002-02-28  Lutz Müller
	  <lutz@users.sourceforge.net>

		  Patch by Javier Achirica <achirica@ttd.net>:

		  * libexif/exif-data.c: Fix directory length and
	  termination.

2002-02-28 13:39   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-entry.c: 2002-02-28  Lutz Müller
	  <lutz@users.sourceforge.net>

		  * libexif/exif-entry.c (exif_entry_get_value): Add
	  support for
		    EXIF_TAG_SUBJECT_AREA.

2002-02-28 12:54   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-entry.c, libexif/exif-tag.c,
	  libexif/exif-tag.h: 2002-02-28  Lutz Müller
	  <lutz@users.sourceforge.net>

		  Patch by Javier Achirica <achirica@ttd.net>:

		  * libexif/exif-tag.[c,h]:
		  * libexif/exif-entry.c: Support EXIF-2.2 tags.

2002-02-26 08:31   Lutz Mueller <lutz@users.sourceforge.net>

	* libexif/exif-note.c, libexif/olympus/exif-olympus-entry.c,
	  libexif/olympus/exif-olympus-entry.h,
	  libexif/olympus/exif-olympus-note.c, configure.in: [no log
	  message]

2002-02-25 11:11   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libjpeg/jpeg-data.c: 2002-02-25  Lutz MÜller
	  <lutz@users.sourceforge.net>

		  Patch by Basil Dias <basil.dias@wipro.com>:

		  * libjpeg/jpeg-data.c: Missing realloc.

2002-02-21 14:18   Lutz Mueller <lutz@users.sourceforge.net>

	* configure.in, libexif/Makefile.am, libexif/exif-note.c,
	  libexif/exif-note.h, libexif/fuji/.cvsignore,
	  libexif/fuji/Makefile.am, libexif/fuji/exif-fuji-entry.c,
	  libexif/fuji/exif-fuji-entry.h, libexif/fuji/exif-fuji-note.c,
	  libexif/fuji/exif-fuji-note.h, libexif/fuji/exif-fuji-tag.c,
	  libexif/fuji/exif-fuji-tag.h, libexif/olympus/.cvsignore,
	  libexif/olympus/Makefile.am,
	  libexif/olympus/exif-olympus-entry.c,
	  libexif/olympus/exif-olympus-entry.h,
	  libexif/olympus/exif-olympus-note.c,
	  libexif/olympus/exif-olympus-note.h,
	  libexif/olympus/exif-olympus-tag.c,
	  libexif/olympus/exif-olympus-tag.h: [no log message]

2002-02-21 09:55   Lutz Mueller <lutz@users.sourceforge.net>

	* libexif/: Makefile.am, exif-note.c, exif-note.h,
	  canon/exif-canon-note.c: [no log message]

2002-02-21 09:43   Lutz Mueller <lutz@users.sourceforge.net>

	* libexif/canon/.cvsignore: [no log message]

2002-02-21 09:42   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, configure.in, libexif/Makefile.am,
	  libexif/exif-note.c, libexif/exif-note.h,
	  libexif/canon/.cvsignore, libexif/canon/Makefile.am,
	  libexif/canon/exif-canon-entry.c,
	  libexif/canon/exif-canon-entry.h,
	  libexif/canon/exif-canon-note.c, libexif/canon/exif-canon-note.h,
	  libexif/canon/exif-canon-tag.c, libexif/canon/exif-canon-tag.h:
	  2002-02-21  Lutz Müller <lutz@users.sourceforge.net>

		  * libexif/canon: Set up support for parsing MakerNotes.

2002-02-20 10:30   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c, libjpeg/jpeg-data.c: 2002-02-20
	  Lutz Müller <lutz@users.sourceforge.net>

		  * libexif/exif-data.c:
		  * libjpeg/jpeg-data.c: Read and write "rb" (Windows needs
	  it).

2002-02-18 08:26   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c: 2002-02-18  Lutz Müller
	  <lutz@users.sourceforge.net>

		  * libexif/exif-data.c: Suppress output unless #ifdef
	  DEBUG

2002-02-17 10:45   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c: 2002-02-17  Lutz Müller
	  <lutz@users.sourceforge.net>

		  Patch from Fredrik <fredrik@krixor.xy.org>:

		  * libexif/exif-data.c: Better checks for size.

2002-02-13 08:31   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, README, configure.in, libexif/Makefile.am,
	  libexif/exif-byte-order.c, libexif/exif-byte-order.h,
	  libexif/exif-content.c, libexif/exif-content.h,
	  libexif/exif-data.c, libexif/exif-data.h, libexif/exif-entry.c,
	  libexif/exif-entry.h, libexif/exif-utils.h: 2002-02-13  Lutz
	  Müller <lutz@users.sourceforge.net>

		  * libexif/configure.in: Introduce proper versionning.

	  2002-02-13  Lutz Müller <lutz@users.sourceforge.net>

		  * libexif: There's only one ByteOrder per ExifData.

	  2002-02-12  Lutz Müller <lutz@users.sourceforge.net>

		  * libexif/exif-entry.c: More initialization.

2002-02-12 22:06   Lutz Mueller <lutz@users.sourceforge.net>

	* .cvsignore: [no log message]

2002-02-12 21:56   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-entry.c: 2002-02-12  Lutz Müller
	  <lutz@users.sourceforge.net>

		  * libexif/exif-entry.c: More initialization.

2002-02-12 21:04   Lutz Mueller <lutz@users.sourceforge.net>

	* libexif/exif-entry.c: [no log message]

2002-02-12 21:00   Lutz Mueller <lutz@users.sourceforge.net>

	* libexif/exif-entry.c: [no log message]

2002-02-11 10:11   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, configure.in: 2002-02-11  Lutz Müller
	  <lutz@users.sourceforge.net>

		  * configure.in: Version 0.5

2002-02-11 09:44   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-entry.c: 2002-02-11  Lutz Müller
	  <lutz@users.sourceforge.net>

		  * libexif/libexif-entry.c: More tags implemented in
		    (exif_entry_get_value).

2002-02-08 22:17   Lutz Mueller <lutz@users.sourceforge.net>

	* libexif/exif-entry.c: [no log message]

2002-02-06 00:50   Lutz Mueller <lutz@users.sourceforge.net>

	* libjpeg/jpeg-data.c: [no log message]

2002-02-05 21:42   Lutz Mueller <lutz@users.sourceforge.net>

	* test/test-mem.c: New.

2002-02-05 21:41   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, configure.in: 2002-02-05  Lutz Müller
	  <lutz@users.sourceforge.net>

		  * configure.in: Version 0.3

2002-02-05 21:39   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/exif-data.c, test/Makefile.am: 2002-02-05
	  Lutz Müller <lutz@users.sourceforge.net>

		  * libexif: Implement saving.

2002-02-03 09:07   Lutz Mueller <lutz@users.sourceforge.net>

	* configure.in, libexif/exif-entry.c: Version 0.2

2002-02-02 22:01   Lutz Mueller <lutz@users.sourceforge.net>

	* libexif/exif-entry.c: Better string conversion.

2002-01-29 12:36   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, configure.in: 2002-01-29  Lutz Müller
	  <lutz@users.sourceforge.net>

		  * configure.in: Version 0.2

2002-01-25 14:57   Lutz Mueller <lutz@users.sourceforge.net>

	* libexif/exif-data.c: [no log message]

2002-01-25 14:53   Lutz Mueller <lutz@users.sourceforge.net>

	* libexif/Makefile.am: [no log message]

2002-01-25 14:43   Lutz Mueller <lutz@users.sourceforge.net>

	* Makefile.am, configure.in: [no log message]

2002-01-25 14:39   Lutz Mueller <lutz@users.sourceforge.net>

	* test/test-tree.c: [no log message]

2002-01-25 14:35   Lutz Mueller <lutz@users.sourceforge.net>

	* .cvsignore, configure.in, libexif/.cvsignore, test/Makefile.am,
	  test/test-browser.c, test/test-exif.c, test/test-tree.c: [no log
	  message]

2002-01-25 14:12   Lutz Mueller <lutz@users.sourceforge.net>

	* gexif/: .cvsignore, Makefile.am, gexif-main.h, gexif-thumbnail.h,
	  gexif-main.c, gexif-thumbnail.c, gexif.c: Now in gexif.

2002-01-25 13:52   Lutz Mueller <lutz@users.sourceforge.net>

	* libexif-gtk/gtk-extensions/.cvsignore: Now in libexif-gtk

2002-01-25 13:48   Lutz Mueller <lutz@users.sourceforge.net>

	* libexif-gtk/: gtk-exif-browser.c, gtk-exif-browser.h,
	  gtk-exif-content-list.c, gtk-exif-content-list.h,
	  gtk-exif-entry-ascii.c, gtk-exif-entry-ascii.h,
	  gtk-exif-entry-copyright.c, gtk-exif-entry-copyright.h,
	  gtk-exif-entry-date.c, gtk-exif-entry-date.h,
	  gtk-exif-entry-exposure.c, gtk-exif-entry-exposure.h,
	  gtk-exif-entry-flash.c, gtk-exif-entry-flash.h,
	  gtk-exif-entry-generic.c, gtk-exif-entry-number.c,
	  gtk-exif-entry-number.h, gtk-exif-entry-option.h,
	  gtk-exif-entry-rational.c, gtk-exif-entry-rational.h,
	  gtk-exif-entry-resolution.c, gtk-exif-entry-resolution.h,
	  gtk-exif-entry-version.c, gtk-exif-entry-version.h,
	  gtk-exif-entry.c, gtk-exif-entry.h, gtk-exif-tag-menu.c,
	  gtk-exif-tag-menu.h, gtk-exif-tree-item.c, gtk-exif-tree-item.h,
	  gtk-exif-tree.c, Makefile.am, libexif-gtk.pc.in,
	  gtk-extensions/Makefile.am, gtk-extensions/gtk-menu-option.c,
	  gtk-extensions/gtk-menu-option.h,
	  gtk-extensions/gtk-option-menu-option.c,
	  gtk-extensions/gtk-option-menu-option.h,
	  gtk-extensions/gtk-options.c, gtk-extensions/gtk-options.h,
	  gtk-extensions/gtk-position.c, gtk-extensions/gtk-position.h,
	  .cvsignore, gtk-exif-entry-generic.h, gtk-exif-entry-option.c,
	  gtk-exif-tree.h: Now in libexif-gtk.

2002-01-06 20:07   Lutz Mueller <lutz@users.sourceforge.net>

	* libexif-gtk/: gtk-exif-entry-light.c, gtk-exif-entry-light.h,
	  gtk-exif-entry-meter.c, gtk-exif-entry-meter.h,
	  gtk-exif-entry-orientation.c, gtk-exif-entry-orientation.h,
	  gtk-exif-entry-sensing.c, gtk-exif-entry-sensing.h,
	  gtk-exif-entry-ycbcrpos.c, gtk-exif-entry-ycbcrpos.h,
	  gtk-extensions/gtk-menu-option.c,
	  gtk-extensions/gtk-menu-option.h,
	  gtk-extensions/gtk-option-menu-option.c,
	  gtk-extensions/gtk-option-menu-option.h: Merges.

2002-01-06 20:02   Lutz Mueller <lutz@users.sourceforge.net>

	* libexif-gtk/: gtk-exif-entry-option.c, gtk-exif-entry-option.h,
	  gtk-extensions/Makefile.am, gtk-extensions/gtk-options.c,
	  gtk-extensions/gtk-options.h: Merges.

2002-01-06 20:00   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, Makefile.am, configure.in, gexif/.cvsignore,
	  gexif/Makefile.am, gexif/gexif-main.c, gexif/gexif-main.h,
	  gexif/gexif-thumbnail.c, gexif/gexif-thumbnail.h, gexif/gexif.c,
	  libexif/Makefile.am, libexif/exif-content.c,
	  libexif/exif-content.h, libexif/exif-data.c, libexif/exif-data.h,
	  libexif/exif-entry.c, libexif/exif-entry.h, libexif/exif-tag.h,
	  libexif-gtk/Makefile.am, libexif-gtk/gtk-exif-browser.c,
	  libexif-gtk/gtk-exif-content-list.c,
	  libexif-gtk/gtk-exif-content-list.h,
	  libexif-gtk/gtk-exif-entry-ascii.c,
	  libexif-gtk/gtk-exif-entry-copyright.c,
	  libexif-gtk/gtk-exif-entry-exposure.c,
	  libexif-gtk/gtk-exif-entry-version.c,
	  libexif-gtk/gtk-exif-tag-menu.c, libexif-gtk/gtk-exif-tag-menu.h,
	  libjpeg/jpeg-data.c, libjpeg/jpeg-data.h: 2002-01-06	Lutz Müller
	  <urc8@rz.uni-karlsruhe.de>

		  Merge new stuff from gtkam/libexif.

2001-12-23 22:41   Lutz Mueller <lutz@users.sourceforge.net>

	* libexif-gtk/: gtk-exif-entry-copyright.c,
	  gtk-exif-entry-copyright.h, gtk-exif-tag-menu.c,
	  gtk-exif-tag-menu.h: New files.

2001-12-23 22:39   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, libexif/Makefile.am, libexif/exif-entry.c,
	  libexif/exif-entry.h, libexif/exif-format.c,
	  libexif/exif-format.h, libexif/exif-tag.c, libexif/exif-tag.h,
	  libexif/exif-utils.c, libexif/exif-utils.h,
	  libexif-gtk/Makefile.am, libexif-gtk/gtk-exif-browser.c,
	  libexif-gtk/gtk-exif-entry-generic.c,
	  libexif-gtk/gtk-exif-entry-number.c,
	  libexif-gtk/gtk-exif-entry-number.h,
	  libexif-gtk/gtk-exif-entry-rational.c,
	  libexif-gtk/gtk-exif-entry-rational.h,
	  libexif-gtk/gtk-exif-entry-resolution.c: 2001-12-23  Lutz Müller
	  <urc8@rz.uni-karlsruhe.de>

		  Merge new stuff from gtkam/libexif.

2001-12-22 00:25   Lutz Mueller <lutz@users.sourceforge.net>

	* libexif/exif-content.c, libexif/exif-content.h,
	  libexif/exif-entry.c, libexif/exif-entry.h, libexif/exif-tag.c,
	  libexif/exif-tag.h, libexif-gtk/gtk-exif-browser.c,
	  libexif-gtk/gtk-exif-content-list.c,
	  libexif-gtk/gtk-exif-content-list.h,
	  libexif-gtk/gtk-exif-entry-ascii.c,
	  libexif-gtk/gtk-exif-entry-date.c,
	  libexif-gtk/gtk-exif-entry-exposure.c,
	  libexif-gtk/gtk-exif-entry-flash.c,
	  libexif-gtk/gtk-exif-entry-light.c,
	  libexif-gtk/gtk-exif-entry-meter.c,
	  libexif-gtk/gtk-exif-entry-orientation.c,
	  libexif-gtk/gtk-exif-entry-resolution.c,
	  libexif-gtk/gtk-exif-entry-sensing.c,
	  libexif-gtk/gtk-exif-entry-version.c,
	  libexif-gtk/gtk-exif-entry-ycbcrpos.c,
	  libexif-gtk/gtk-exif-entry.c, libexif-gtk/gtk-exif-entry.h,
	  libexif-gtk/gtk-extensions/gtk-options.c,
	  libexif-gtk/gtk-extensions/gtk-options.h: Updated.

2001-12-21 17:21   Lutz Mueller <lutz@users.sourceforge.net>

	* libexif/: exif-content.c, exif-entry.c: Clean up.

2001-12-21 17:17   Lutz Mueller <lutz@users.sourceforge.net>

	* .cvsignore: Updated.

2001-12-21 17:14   Lutz Mueller <lutz@users.sourceforge.net>

	* ChangeLog, Makefile.am, configure.in, libexif.pc.in,
	  libexif/Makefile.am, libexif/libexif.pc.in,
	  libexif-gtk/.cvsignore, libexif-gtk/Makefile.am,
	  libexif-gtk/gtk-exif-browser.c, libexif-gtk/gtk-exif-browser.h,
	  libexif-gtk/gtk-exif-content-list.c,
	  libexif-gtk/gtk-exif-content-list.h,
	  libexif-gtk/gtk-exif-entry-ascii.c,
	  libexif-gtk/gtk-exif-entry-ascii.h,
	  libexif-gtk/gtk-exif-entry-date.c,
	  libexif-gtk/gtk-exif-entry-date.h,
	  libexif-gtk/gtk-exif-entry-exposure.c,
	  libexif-gtk/gtk-exif-entry-exposure.h,
	  libexif-gtk/gtk-exif-entry-flash.c,
	  libexif-gtk/gtk-exif-entry-flash.h,
	  libexif-gtk/gtk-exif-entry-generic.c,
	  libexif-gtk/gtk-exif-entry-generic.h,
	  libexif-gtk/gtk-exif-entry-light.c,
	  libexif-gtk/gtk-exif-entry-light.h,
	  libexif-gtk/gtk-exif-entry-meter.c,
	  libexif-gtk/gtk-exif-entry-meter.h,
	  libexif-gtk/gtk-exif-entry-orientation.c,
	  libexif-gtk/gtk-exif-entry-orientation.h,
	  libexif-gtk/gtk-exif-entry-resolution.c,
	  libexif-gtk/gtk-exif-entry-resolution.h,
	  libexif-gtk/gtk-exif-entry-sensing.c,
	  libexif-gtk/gtk-exif-entry-sensing.h,
	  libexif-gtk/gtk-exif-entry-version.c,
	  libexif-gtk/gtk-exif-entry-version.h,
	  libexif-gtk/gtk-exif-entry-ycbcrpos.c,
	  libexif-gtk/gtk-exif-entry-ycbcrpos.h,
	  libexif-gtk/gtk-exif-entry.c, libexif-gtk/gtk-exif-entry.h,
	  libexif-gtk/gtk-exif-tree-item.c,
	  libexif-gtk/gtk-exif-tree-item.h, libexif-gtk/gtk-exif-tree.c,
	  libexif-gtk/gtk-exif-tree.h, libexif-gtk/libexif-gtk.pc.in,
	  libexif-gtk/gtk-extensions/.cvsignore,
	  libexif-gtk/gtk-extensions/gtk-options.c,
	  libexif-gtk/gtk-extensions/gtk-options.h,
	  libexif-gtk/gtk-extensions/gtk-position.c,
	  libexif-gtk/gtk-extensions/gtk-position.h, libjpeg/.cvsignore,
	  libjpeg/Makefile.am, libjpeg/jpeg-data.c, libjpeg/jpeg-data.h,
	  libjpeg/jpeg-marker.c, libjpeg/jpeg-marker.h, test/Makefile.am,
	  libexif/exif-content.c, libexif/exif-content.h,
	  libexif/exif-data.c, libexif/exif-data.h, libexif/exif-entry.c,
	  libexif/exif-entry.h, libexif/exif-i18n.h, libexif/exif-result.h,
	  libexif/exif-tag.c, libexif/exif-tag.h, libexif/exif-utils.c,
	  libexif/exif-utils.h, libexif-gtk/gtk-extensions/Makefile.am,
	  test/test-browser.c, test/test-tree.c: 2001-12-21  Lutz Müller
	  <urc8@rz.uni-karlsruhe.de>

		  Move new version from gtkam to here.

2001-12-20 19:19   Curtis Galloway <curtisg@users.sourceforge.net>

	* test/test-exif.c: Correct argument check

2001-12-11 20:30   Lutz Mueller <lutz@users.sourceforge.net>

	* Makefile, exif.c, exif.h, main.c, test/.cvsignore: Another
	  autoconf'ization.

2001-12-11 20:28   Lutz Mueller <lutz@users.sourceforge.net>

	* .cvsignore, AUTHORS, ChangeLog, Makefile, Makefile.am, NEWS,
	  README, autogen.sh, configure.in, libexif.pc.in,
	  libexif/.cvsignore, libexif/Makefile.am, libexif/exif.c,
	  libexif/exif.h, test/.cvsignore, test/Makefile.am,
	  test/test-exif.c: 2001-12-11	Lutz Müller
	  <urc8@rz.uni-karlsruhe.de>

		  Initial automake setup.

2000-10-25 00:10   Curtis Galloway <curtisg@users.sourceforge.net>

	* aolserver/: Makefile, nsexif.c: Loadable module for AOLserver to
	  use libexif

2000-10-09 19:23   Curtis Galloway <curtisg@users.sourceforge.net>

	* exif.h: The EXIF tag parsing library.

2000-10-09 19:19   Curtis Galloway <curtisg@users.sourceforge.net>

	* Makefile, exif.c, main.c: Initial revision

2000-10-09 19:19   Curtis Galloway <curtisg@users.sourceforge.net>

	* Makefile, exif.c, main.c: The EXIF tag parsing library.

